#ifndef ABOUTDLG_H
#define ABOUTDLG_H

#include <qvariant.h>


#include <Qt3Support/Q3MimeSourceFactory>
#include <Qt3Support/Q3TextBrowser>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QHBoxLayout>
#include <QtGui/QHeaderView>
#include <QtGui/QLabel>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QTabWidget>
#include <QtGui/QVBoxLayout>
#include <QtGui/QWidget>

QT_BEGIN_NAMESPACE

class Ui_AboutDlg
{
public:
    QVBoxLayout *vboxLayout;
    QLabel *pixmapLabel1;
    QTabWidget *tabWidget2;
    QWidget *tab;
    QHBoxLayout *hboxLayout;
    Q3TextBrowser *infoText;
    QWidget *tab1;
    Q3TextBrowser *licenseText;
    QWidget *tab2;
    Q3TextBrowser *creditText;
    QHBoxLayout *hboxLayout1;
    QSpacerItem *spacer10;
    QPushButton *pushButton11;

    void setupUi(QDialog *AboutDlg)
    {
        if (AboutDlg->objectName().isEmpty())
            AboutDlg->setObjectName(QString::fromUtf8("AboutDlg"));
        AboutDlg->resize(365, 465);
        AboutDlg->setMinimumSize(QSize(365, 465));
        AboutDlg->setMaximumSize(QSize(365, 465));
        vboxLayout = new QVBoxLayout(AboutDlg);
        vboxLayout->setSpacing(6);
        vboxLayout->setMargin(11);
        vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
        pixmapLabel1 = new QLabel(AboutDlg);
        pixmapLabel1->setObjectName(QString::fromUtf8("pixmapLabel1"));
        pixmapLabel1->setFrameShape(QFrame::Panel);
        pixmapLabel1->setFrameShadow(QFrame::Sunken);
        pixmapLabel1->setPixmap(QPixmap(qPixmapFromMimeSource(":/images/about_banner.png")));
        pixmapLabel1->setScaledContents(true);
        pixmapLabel1->setWordWrap(false);

        vboxLayout->addWidget(pixmapLabel1);

        tabWidget2 = new QTabWidget(AboutDlg);
        tabWidget2->setObjectName(QString::fromUtf8("tabWidget2"));
        tab = new QWidget();
        tab->setObjectName(QString::fromUtf8("tab"));
        hboxLayout = new QHBoxLayout(tab);
        hboxLayout->setSpacing(6);
        hboxLayout->setMargin(0);
        hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
        infoText = new Q3TextBrowser(tab);
        infoText->setObjectName(QString::fromUtf8("infoText"));

        hboxLayout->addWidget(infoText);

        tabWidget2->addTab(tab, QString());
        tab1 = new QWidget();
        tab1->setObjectName(QString::fromUtf8("tab1"));
        licenseText = new Q3TextBrowser(tab1);
        licenseText->setObjectName(QString::fromUtf8("licenseText"));
        licenseText->setGeometry(QRect(0, 0, 360, 270));
        tabWidget2->addTab(tab1, QString());
        tab2 = new QWidget();
        tab2->setObjectName(QString::fromUtf8("tab2"));
        creditText = new Q3TextBrowser(tab2);
        creditText->setObjectName(QString::fromUtf8("creditText"));
        creditText->setGeometry(QRect(0, 0, 360, 270));
        tabWidget2->addTab(tab2, QString());

        vboxLayout->addWidget(tabWidget2);

        hboxLayout1 = new QHBoxLayout();
        hboxLayout1->setSpacing(6);
        hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
        spacer10 = new QSpacerItem(231, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout1->addItem(spacer10);

        pushButton11 = new QPushButton(AboutDlg);
        pushButton11->setObjectName(QString::fromUtf8("pushButton11"));
        pushButton11->setDefault(true);
        const QIcon icon = QIcon(qPixmapFromMimeSource(":/images/fileclose.png"));
        pushButton11->setIcon(icon);

        hboxLayout1->addWidget(pushButton11);


        vboxLayout->addLayout(hboxLayout1);


        retranslateUi(AboutDlg);
        QObject::connect(pushButton11, SIGNAL(clicked()), AboutDlg, SLOT(accept()));

        QMetaObject::connectSlotsByName(AboutDlg);
    } // setupUi

    void retranslateUi(QDialog *AboutDlg)
    {
        AboutDlg->setWindowTitle(QApplication::translate("AboutDlg", "About MyPasswordSafe", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        pixmapLabel1->setProperty("toolTip", QVariant(QApplication::translate("AboutDlg", "MyPasswordSafe", 0, QApplication::UnicodeUTF8)));
#endif // QT_NO_TOOLTIP
        infoText->setText(QApplication::translate("AboutDlg", "<center>\n"
"<h1>MyPasswordSafe</h1>\n"
"Version: {VERSION}<br/>\n"
"<br/>\n"
"Copyright &copy; 2004 <b>Semantic Gap</b>&trade;<br/>\n"
"<br/>\n"
"<u><font color=\"#0000ff\">http://www.semanticgap.com/</font></u><br/>\n"
"<br/>\n"
"Compiled by<br/>\n"
"{USER}@{HOST} on {DATE}<br/>\n"
"<br/>\n"
"MyPasswordSafe comes with ABSOLUTELY NO WARRANTY.<br/>\n"
"<br/>\n"
"This is free software, and you are welcome to redistribute it\n"
"under certain conditions. Click the License tab for more information.<br/>\n"
"<br/>\n"
"</center>", 0, QApplication::UnicodeUTF8));
        tabWidget2->setTabText(tabWidget2->indexOf(tab), QApplication::translate("AboutDlg", "&Info", 0, QApplication::UnicodeUTF8));
        licenseText->setText(QApplication::translate("AboutDlg", "<p>Copyright &copy; 2004, <b>Semantic Gap</b>&trade;</p>\n"
"\n"
"<p><b>Semantic Gap</b> and the double spiral logo are trademarks of Semantic Gap.</p>\n"
"\n"
"<p>This program is free software; you can redistribute it and/or modify\n"
"it under the terms of the GNU General Public License as published by\n"
"the Free Software Foundation; either version 2 of the License, or\n"
"(at your option) any later version.</p>\n"
"\n"
"<p>This program is distributed in the hope that it will be useful,\n"
"but WITHOUT ANY WARRANTY; without even the implied warranty of\n"
"MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the\n"
"GNU General Public License for more details.</p>\n"
"\n"
"<p>You should have received a copy of the GNU General Public License\n"
"along with this program; if not, write to the Free Software\n"
"Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA</p>\n"
"\n"
"<p><b>Semantic Gap</b>&trade; can be contacted by:\n"
"<ul>\n"
"<li>Email: support@semanticgap.com</li>\n"
"<l"
                        "i>Mail:<br/>\n"
"<b>Semantic Gap</b>&trade;<br/>\n"
"527 Park Dr.<br/>\n"
"Greenwood, IN 46143</li>\n"
"</ul>\n"
"\n"
"\n"
"---", 0, QApplication::UnicodeUTF8));
        tabWidget2->setTabText(tabWidget2->indexOf(tab1), QApplication::translate("AboutDlg", "&License", 0, QApplication::UnicodeUTF8));
        creditText->setText(QApplication::translate("AboutDlg", "<html>\n"
"<body>\n"
"<p>Programming and design by Nolan Eakins &lt;<font color=\"#0000ff\">sneakin@semanticgap.com</font>&gt;</p>\n"
"\n"
"Thanks go out to:\n"
"<ul>\n"
"<li>Emmanuel Adeline &lt;<font color=\"#0000ff\">ead+myps@free.fr</font>&gt; for translating the manual and UI into French.</li>\n"
"<li>The Password Safe &lt;<font color=\"#0000ff\">http://passwordsafe.sourceforge.net/</font>&gt; team for providing a program that I needed to port to Linux, and the loading and saving code that this program uses.</li>\n"
"<li>The KDE project &lt;<font color=\"#0000ff\">http://www.kde.org/</font>&gt; for producing some high-quality ikons that MyPasswordSafe uses.</li>\n"
"<li>Thomas Klausner &lt;<font color=\"#0000ff\">tk@giga.or.at</font>&gt; for sending patches to fix endian issues on NetBSD, and some Makefile suggestions.</li>\n"
"<li>Shawn Holwegner &lt;<font color=\"#0000ff\">shawn@holwegner.com</font>&gt; for sending a patch to fix endian issues and releasing MyPasswordSafe on MacOS X.</li>\n"
"</ul>\n"
""
                        "<br/>\n"
"<br/>\n"
"<hr/>\n"
"</body>\n"
"</html>", 0, QApplication::UnicodeUTF8));
        tabWidget2->setTabText(tabWidget2->indexOf(tab2), QApplication::translate("AboutDlg", "&Credits", 0, QApplication::UnicodeUTF8));
        pushButton11->setText(QApplication::translate("AboutDlg", "&Close", 0, QApplication::UnicodeUTF8));
        pushButton11->setShortcut(QApplication::translate("AboutDlg", "Alt+C", 0, QApplication::UnicodeUTF8));
        Q_UNUSED(AboutDlg);
    } // retranslateUi

};

namespace Ui {
    class AboutDlg: public Ui_AboutDlg {};
} // namespace Ui

QT_END_NAMESPACE

class AboutDlg : public QDialog, public Ui::AboutDlg
{
    Q_OBJECT

public:
    AboutDlg(QWidget* parent = 0, const char* name = 0, bool modal = false, Qt::WindowFlags fl = 0);
    ~AboutDlg();

    virtual int currentPage() const;

public slots:
    virtual void setCurrentPage( int page );

protected slots:
    virtual void languageChange();

private:
    void init();

};

#endif // ABOUTDLG_H
