#ifndef MYPASSWORDSAFE_H
#define MYPASSWORDSAFE_H

#include <qvariant.h>

class Q3ListViewItem;
class SafeListViewItem;
class Idle;
class QTimer;
class PwordEditDlg;
class Clipboard;

#include <Qt3Support/Q3MainWindow>
#include <Qt3Support/Q3ToolBar>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QHBoxLayout>
#include <QtGui/QHeaderView>
#include <QtGui/QMenu>
#include <QtGui/QMenuBar>
#include <QtGui/QWidget>
#include <QtCore/QSettings>
#include <string>
#include "manualdlg.h"
#include "safe.hpp"
#include "safelistview.hpp"
#include "src/safelistview.hpp"

QT_BEGIN_NAMESPACE

class Ui_MyPasswordSafe
{
public:
    QAction *fileNewAction;
    QAction *fileOpenAction;
    QAction *fileSaveAction;
    QAction *fileSaveAsAction;
    QAction *fileExitAction;
    QAction *helpAboutAction;
    QAction *pwordAddAction;
    QAction *pwordDeleteAction;
    QAction *pwordEditAction;
    QAction *pwordFetchAction;
    QAction *fileMakeDefaultAction;
    QAction *filePrefAction;
    QAction *helpWhatsThisAction;
    QAction *pwordFetchUserAction;
    QAction *helpManualAction;
    QAction *fileOpenDefaultAction;
    QAction *changePassPhraseAction;
    QAction *editUndoAction;
    QAction *editRedoAction;
    QAction *lockAction;
    QAction *lockOnMinimizeAction;
    QAction *settingsGenerateAndShow;
    QAction *settingsGenerateAndFetch;
    QAction *settingsGenerateOnNew;
    QAction *createGroupAction;
    QAction *clearClipboardOnExitAction;
    QAction *settingsDetailsAction;
    QAction *settingsDetailsNameAction;
    QAction *settingsDetailsUserAction;
    QAction *settingsDetailsNotesAction;
    QAction *settingsDetailsLast_ModifiedAction;
    QAction *settingsDetailsLast_AccessedAction;
    QAction *settingsDetailsCreated_OnAction;
    QAction *settingsDetailsLifetimeAction;
    QAction *settingsInstall_clear_timerAction;
    QAction *editClearClipboardAction;
    QWidget *widget;
    QHBoxLayout *hboxLayout;
    SafeListView *pwordListView;
    Q3ToolBar *toolBar;
    QMenuBar *menubar;
    QMenu *fileMenu;
    QMenu *PopupMenu;
    QMenu *PopupMenu_2;
    QMenu *helpMenu;

    void setupUi(Q3MainWindow *MyPasswordSafe)
    {
        if (MyPasswordSafe->objectName().isEmpty())
            MyPasswordSafe->setObjectName(QString::fromUtf8("MyPasswordSafe"));
        MyPasswordSafe->resize(315, 383);
        QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(5), static_cast<QSizePolicy::Policy>(5));
        sizePolicy.setHorizontalStretch(0);
        sizePolicy.setVerticalStretch(0);
        sizePolicy.setHeightForWidth(MyPasswordSafe->sizePolicy().hasHeightForWidth());
        MyPasswordSafe->setSizePolicy(sizePolicy);
        MyPasswordSafe->setBaseSize(QSize(240, 320));
        MyPasswordSafe->setWindowIcon(QPixmap(QString::fromUtf8(":/images/keys.png")));
        fileNewAction = new QAction(MyPasswordSafe);
        fileNewAction->setObjectName(QString::fromUtf8("fileNewAction"));
        fileNewAction->setName("fileNewAction");
        const QIcon icon = QIcon(QString::fromUtf8(":/images/filenew.png"));
        fileNewAction->setIcon(icon);
        fileOpenAction = new QAction(MyPasswordSafe);
        fileOpenAction->setObjectName(QString::fromUtf8("fileOpenAction"));
        fileOpenAction->setName("fileOpenAction");
        const QIcon icon1 = QIcon(QString::fromUtf8(":/images/fileopen.png"));
        fileOpenAction->setIcon(icon1);
        fileSaveAction = new QAction(MyPasswordSafe);
        fileSaveAction->setObjectName(QString::fromUtf8("fileSaveAction"));
        fileSaveAction->setName("fileSaveAction");
        const QIcon icon2 = QIcon(QString::fromUtf8(":/images/filesave.png"));
        fileSaveAction->setIcon(icon2);
        fileSaveAsAction = new QAction(MyPasswordSafe);
        fileSaveAsAction->setObjectName(QString::fromUtf8("fileSaveAsAction"));
        fileSaveAsAction->setName("fileSaveAsAction");
        const QIcon icon3 = QIcon(QString::fromUtf8(":/images/filesaveas.png"));
        fileSaveAsAction->setIcon(icon3);
        fileExitAction = new QAction(MyPasswordSafe);
        fileExitAction->setObjectName(QString::fromUtf8("fileExitAction"));
        fileExitAction->setName("fileExitAction");
        const QIcon icon4 = QIcon(QString::fromUtf8(":/images/exit.png"));
        fileExitAction->setIcon(icon4);
        helpAboutAction = new QAction(MyPasswordSafe);
        helpAboutAction->setObjectName(QString::fromUtf8("helpAboutAction"));
        helpAboutAction->setName("helpAboutAction");
        const QIcon icon5 = QIcon(QString::fromUtf8(":/images/info.png"));
        helpAboutAction->setIcon(icon5);
        pwordAddAction = new QAction(MyPasswordSafe);
        pwordAddAction->setObjectName(QString::fromUtf8("pwordAddAction"));
        pwordAddAction->setName("pwordAddAction");
        const QIcon icon6 = QIcon(QString::fromUtf8(":/images/edit_add.png"));
        pwordAddAction->setIcon(icon6);
        pwordDeleteAction = new QAction(MyPasswordSafe);
        pwordDeleteAction->setObjectName(QString::fromUtf8("pwordDeleteAction"));
        pwordDeleteAction->setName("pwordDeleteAction");
        const QIcon icon7 = QIcon(QString::fromUtf8(":/images/edit_remove.png"));
        pwordDeleteAction->setIcon(icon7);
        pwordEditAction = new QAction(MyPasswordSafe);
        pwordEditAction->setObjectName(QString::fromUtf8("pwordEditAction"));
        pwordEditAction->setName("pwordEditAction");
        const QIcon icon8 = QIcon(QString::fromUtf8(":/images/edit.png"));
        pwordEditAction->setIcon(icon8);
        pwordFetchAction = new QAction(MyPasswordSafe);
        pwordFetchAction->setObjectName(QString::fromUtf8("pwordFetchAction"));
        pwordFetchAction->setName("pwordFetchAction");
        const QIcon icon9 = QIcon(QString::fromUtf8(":/images/editcopy.png"));
        pwordFetchAction->setIcon(icon9);
        fileMakeDefaultAction = new QAction(MyPasswordSafe);
        fileMakeDefaultAction->setObjectName(QString::fromUtf8("fileMakeDefaultAction"));
        fileMakeDefaultAction->setName("fileMakeDefaultAction");
        fileMakeDefaultAction->setCheckable(false);
        filePrefAction = new QAction(MyPasswordSafe);
        filePrefAction->setObjectName(QString::fromUtf8("filePrefAction"));
        filePrefAction->setName("filePrefAction");
        const QIcon icon10 = QIcon(QString::fromUtf8(":/images/configure.png"));
        filePrefAction->setIcon(icon10);
        helpWhatsThisAction = new QAction(MyPasswordSafe);
        helpWhatsThisAction->setObjectName(QString::fromUtf8("helpWhatsThisAction"));
        helpWhatsThisAction->setName("helpWhatsThisAction");
        const QIcon icon11 = QIcon(QString::fromUtf8(":/images/contexthelp.png"));
        helpWhatsThisAction->setIcon(icon11);
        pwordFetchUserAction = new QAction(MyPasswordSafe);
        pwordFetchUserAction->setObjectName(QString::fromUtf8("pwordFetchUserAction"));
        pwordFetchUserAction->setName("pwordFetchUserAction");
        const QIcon icon12 = QIcon(QString::fromUtf8(":/images/fetch_user.png"));
        pwordFetchUserAction->setIcon(icon12);
        helpManualAction = new QAction(MyPasswordSafe);
        helpManualAction->setObjectName(QString::fromUtf8("helpManualAction"));
        helpManualAction->setName("helpManualAction");
        const QIcon icon13 = QIcon(QString::fromUtf8(":/images/help.png"));
        helpManualAction->setIcon(icon13);
        fileOpenDefaultAction = new QAction(MyPasswordSafe);
        fileOpenDefaultAction->setObjectName(QString::fromUtf8("fileOpenDefaultAction"));
        fileOpenDefaultAction->setName("fileOpenDefaultAction");
        changePassPhraseAction = new QAction(MyPasswordSafe);
        changePassPhraseAction->setObjectName(QString::fromUtf8("changePassPhraseAction"));
        changePassPhraseAction->setName("changePassPhraseAction");
        editUndoAction = new QAction(MyPasswordSafe);
        editUndoAction->setObjectName(QString::fromUtf8("editUndoAction"));
        editUndoAction->setName("editUndoAction");
        editUndoAction->setEnabled(false);
        const QIcon icon14 = QIcon(QString::fromUtf8(":/images/undo.png"));
        editUndoAction->setIcon(icon14);
        editRedoAction = new QAction(MyPasswordSafe);
        editRedoAction->setObjectName(QString::fromUtf8("editRedoAction"));
        editRedoAction->setName("editRedoAction");
        editRedoAction->setEnabled(false);
        const QIcon icon15 = QIcon(QString::fromUtf8(":/images/redo.png"));
        editRedoAction->setIcon(icon15);
        lockAction = new QAction(MyPasswordSafe);
        lockAction->setObjectName(QString::fromUtf8("lockAction"));
        lockAction->setName("lockAction");
        const QIcon icon16 = QIcon(QString::fromUtf8(":/images/lock.png"));
        lockAction->setIcon(icon16);
        lockOnMinimizeAction = new QAction(MyPasswordSafe);
        lockOnMinimizeAction->setObjectName(QString::fromUtf8("lockOnMinimizeAction"));
        lockOnMinimizeAction->setName("lockOnMinimizeAction");
        lockOnMinimizeAction->setCheckable(true);
        settingsGenerateAndShow = new QAction(MyPasswordSafe);
        settingsGenerateAndShow->setObjectName(QString::fromUtf8("settingsGenerateAndShow"));
        settingsGenerateAndShow->setName("settingsGenerateAndShow");
        settingsGenerateAndShow->setCheckable(true);
        settingsGenerateAndFetch = new QAction(MyPasswordSafe);
        settingsGenerateAndFetch->setObjectName(QString::fromUtf8("settingsGenerateAndFetch"));
        settingsGenerateAndFetch->setName("settingsGenerateAndFetch");
        settingsGenerateAndFetch->setCheckable(true);
        settingsGenerateOnNew = new QAction(MyPasswordSafe);
        settingsGenerateOnNew->setObjectName(QString::fromUtf8("settingsGenerateOnNew"));
        settingsGenerateOnNew->setName("settingsGenerateOnNew");
        settingsGenerateOnNew->setCheckable(true);
        createGroupAction = new QAction(MyPasswordSafe);
        createGroupAction->setObjectName(QString::fromUtf8("createGroupAction"));
        createGroupAction->setName("createGroupAction");
        const QIcon icon17 = QIcon(QString::fromUtf8(":/images/folder_new.png"));
        createGroupAction->setIcon(icon17);
        clearClipboardOnExitAction = new QAction(MyPasswordSafe);
        clearClipboardOnExitAction->setObjectName(QString::fromUtf8("clearClipboardOnExitAction"));
        clearClipboardOnExitAction->setName("clearClipboardOnExitAction");
        clearClipboardOnExitAction->setCheckable(true);
        settingsDetailsAction = new QAction(MyPasswordSafe);
        settingsDetailsAction->setObjectName(QString::fromUtf8("settingsDetailsAction"));
        settingsDetailsAction->setName("settingsDetailsAction");
        settingsDetailsAction->setCheckable(false);
        settingsDetailsAction->setEnabled(false);
        settingsDetailsNameAction = new QAction(MyPasswordSafe);
        settingsDetailsNameAction->setObjectName(QString::fromUtf8("settingsDetailsNameAction"));
        settingsDetailsNameAction->setName("settingsDetailsNameAction");
        settingsDetailsNameAction->setCheckable(true);
        settingsDetailsNameAction->setEnabled(false);
        settingsDetailsUserAction = new QAction(MyPasswordSafe);
        settingsDetailsUserAction->setObjectName(QString::fromUtf8("settingsDetailsUserAction"));
        settingsDetailsUserAction->setName("settingsDetailsUserAction");
        settingsDetailsUserAction->setCheckable(true);
        settingsDetailsUserAction->setEnabled(false);
        settingsDetailsNotesAction = new QAction(MyPasswordSafe);
        settingsDetailsNotesAction->setObjectName(QString::fromUtf8("settingsDetailsNotesAction"));
        settingsDetailsNotesAction->setName("settingsDetailsNotesAction");
        settingsDetailsNotesAction->setCheckable(true);
        settingsDetailsNotesAction->setEnabled(false);
        settingsDetailsLast_ModifiedAction = new QAction(MyPasswordSafe);
        settingsDetailsLast_ModifiedAction->setObjectName(QString::fromUtf8("settingsDetailsLast_ModifiedAction"));
        settingsDetailsLast_ModifiedAction->setName("settingsDetailsLast_ModifiedAction");
        settingsDetailsLast_ModifiedAction->setCheckable(true);
        settingsDetailsLast_ModifiedAction->setEnabled(false);
        settingsDetailsLast_AccessedAction = new QAction(MyPasswordSafe);
        settingsDetailsLast_AccessedAction->setObjectName(QString::fromUtf8("settingsDetailsLast_AccessedAction"));
        settingsDetailsLast_AccessedAction->setName("settingsDetailsLast_AccessedAction");
        settingsDetailsLast_AccessedAction->setCheckable(true);
        settingsDetailsLast_AccessedAction->setEnabled(false);
        settingsDetailsCreated_OnAction = new QAction(MyPasswordSafe);
        settingsDetailsCreated_OnAction->setObjectName(QString::fromUtf8("settingsDetailsCreated_OnAction"));
        settingsDetailsCreated_OnAction->setName("settingsDetailsCreated_OnAction");
        settingsDetailsCreated_OnAction->setCheckable(true);
        settingsDetailsCreated_OnAction->setEnabled(false);
        settingsDetailsLifetimeAction = new QAction(MyPasswordSafe);
        settingsDetailsLifetimeAction->setObjectName(QString::fromUtf8("settingsDetailsLifetimeAction"));
        settingsDetailsLifetimeAction->setName("settingsDetailsLifetimeAction");
        settingsDetailsLifetimeAction->setEnabled(false);
        settingsInstall_clear_timerAction = new QAction(MyPasswordSafe);
        settingsInstall_clear_timerAction->setObjectName(QString::fromUtf8("settingsInstall_clear_timerAction"));
        settingsInstall_clear_timerAction->setName("settingsInstall_clear_timerAction");
        settingsInstall_clear_timerAction->setEnabled(false);
        editClearClipboardAction = new QAction(MyPasswordSafe);
        editClearClipboardAction->setObjectName(QString::fromUtf8("editClearClipboardAction"));
        editClearClipboardAction->setName("editClearClipboardAction");
        const QIcon icon18 = QIcon(QString::fromUtf8(":/images/button_cancel.png"));
        editClearClipboardAction->setIcon(icon18);
        widget = new QWidget(MyPasswordSafe);
        widget->setObjectName(QString::fromUtf8("widget"));
        hboxLayout = new QHBoxLayout(widget);
        hboxLayout->setSpacing(6);
        hboxLayout->setMargin(0);
        hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
        hboxLayout->setContentsMargins(0, 0, 0, 0);
        pwordListView = new SafeListView(widget);
        pwordListView->setObjectName(QString::fromUtf8("pwordListView"));
        QSizePolicy sizePolicy1(static_cast<QSizePolicy::Policy>(7), static_cast<QSizePolicy::Policy>(7));
        sizePolicy1.setHorizontalStretch(0);
        sizePolicy1.setVerticalStretch(0);
        sizePolicy1.setHeightForWidth(pwordListView->sizePolicy().hasHeightForWidth());
        pwordListView->setSizePolicy(sizePolicy1);

        hboxLayout->addWidget(pwordListView);

        MyPasswordSafe->setCentralWidget(widget);
        toolBar = new Q3ToolBar(MyPasswordSafe);
        toolBar->setObjectName(QString::fromUtf8("toolBar"));
        menubar = new QMenuBar(MyPasswordSafe);
        menubar->setObjectName(QString::fromUtf8("menubar"));
        fileMenu = new QMenu(menubar);
        fileMenu->setObjectName(QString::fromUtf8("fileMenu"));
        PopupMenu = new QMenu(menubar);
        PopupMenu->setObjectName(QString::fromUtf8("PopupMenu"));
        PopupMenu_2 = new QMenu(menubar);
        PopupMenu_2->setObjectName(QString::fromUtf8("PopupMenu_2"));
        helpMenu = new QMenu(menubar);
        helpMenu->setObjectName(QString::fromUtf8("helpMenu"));

        toolBar->addAction(fileNewAction);
        toolBar->addAction(fileOpenAction);
        toolBar->addAction(fileSaveAction);
        toolBar->addSeparator();
        toolBar->addAction(createGroupAction);
        toolBar->addAction(pwordAddAction);
        toolBar->addAction(pwordDeleteAction);
        toolBar->addAction(pwordEditAction);
        toolBar->addAction(pwordFetchAction);
        toolBar->addAction(pwordFetchUserAction);
        toolBar->addSeparator();
        toolBar->addAction(editClearClipboardAction);
        toolBar->addAction(lockAction);
        menubar->addAction(fileMenu->menuAction());
        menubar->addAction(PopupMenu->menuAction());
        menubar->addAction(PopupMenu_2->menuAction());
        menubar->addAction(helpMenu->menuAction());
        fileMenu->addAction(fileNewAction);
        fileMenu->addAction(fileOpenAction);
        fileMenu->addAction(fileOpenDefaultAction);
        fileMenu->addSeparator();
        fileMenu->addAction(fileSaveAction);
        fileMenu->addAction(fileSaveAsAction);
        fileMenu->addSeparator();
        fileMenu->addAction(changePassPhraseAction);
        fileMenu->addAction(fileMakeDefaultAction);
        fileMenu->addAction(lockAction);
        fileMenu->addSeparator();
        fileMenu->addAction(fileExitAction);
        PopupMenu->addAction(pwordAddAction);
        PopupMenu->addAction(createGroupAction);
        PopupMenu->addAction(pwordDeleteAction);
        PopupMenu->addAction(pwordEditAction);
        PopupMenu->addSeparator();
        PopupMenu->addAction(pwordFetchAction);
        PopupMenu->addAction(pwordFetchUserAction);
        PopupMenu->addSeparator();
        PopupMenu->addAction(editClearClipboardAction);
        PopupMenu_2->addAction(clearClipboardOnExitAction);
        PopupMenu_2->addAction(lockOnMinimizeAction);
        PopupMenu_2->addSeparator();
        PopupMenu_2->addAction(settingsGenerateAndShow);
        PopupMenu_2->addAction(settingsGenerateAndFetch);
        PopupMenu_2->addAction(settingsGenerateOnNew);
        PopupMenu_2->addSeparator();
        PopupMenu_2->addAction(filePrefAction);
        helpMenu->addAction(helpWhatsThisAction);
        helpMenu->addAction(helpManualAction);
        helpMenu->addSeparator();
        helpMenu->addAction(helpAboutAction);

        retranslateUi(MyPasswordSafe);
        QObject::connect(changePassPhraseAction, SIGNAL(activated()), MyPasswordSafe, SLOT(fileChangePassPhrase()));
        QObject::connect(createGroupAction, SIGNAL(activated()), MyPasswordSafe, SLOT(createGroup()));
        QObject::connect(fileExitAction, SIGNAL(activated()), MyPasswordSafe, SLOT(fileExit()));
        QObject::connect(fileMakeDefaultAction, SIGNAL(activated()), MyPasswordSafe, SLOT(fileMakeDefault()));
        QObject::connect(fileNewAction, SIGNAL(activated()), MyPasswordSafe, SLOT(fileNew()));
        QObject::connect(fileOpenAction, SIGNAL(activated()), MyPasswordSafe, SLOT(fileOpen()));
        QObject::connect(fileOpenDefaultAction, SIGNAL(activated()), MyPasswordSafe, SLOT(fileOpenDefault()));
        QObject::connect(filePrefAction, SIGNAL(activated()), MyPasswordSafe, SLOT(filePreferences()));
        QObject::connect(fileSaveAction, SIGNAL(activated()), MyPasswordSafe, SLOT(save()));
        QObject::connect(fileSaveAsAction, SIGNAL(activated()), MyPasswordSafe, SLOT(saveAs()));
        QObject::connect(helpManualAction, SIGNAL(activated()), MyPasswordSafe, SLOT(helpManual()));
        QObject::connect(helpWhatsThisAction, SIGNAL(activated()), MyPasswordSafe, SLOT(whatsThis()));
        QObject::connect(lockAction, SIGNAL(activated()), MyPasswordSafe, SLOT(lock()));
        QObject::connect(pwordAddAction, SIGNAL(activated()), MyPasswordSafe, SLOT(pwordAdd()));
        QObject::connect(pwordDeleteAction, SIGNAL(activated()), MyPasswordSafe, SLOT(pwordDelete()));
        QObject::connect(pwordEditAction, SIGNAL(activated()), MyPasswordSafe, SLOT(pwordEdit()));
        QObject::connect(pwordFetchAction, SIGNAL(activated()), MyPasswordSafe, SLOT(pwordFetch()));
        QObject::connect(pwordFetchUserAction, SIGNAL(activated()), MyPasswordSafe, SLOT(pwordFetchUser()));
        QObject::connect(pwordListView, SIGNAL(doubleClicked(Q3ListViewItem*)), MyPasswordSafe, SLOT(onPwordListDblClicked(Q3ListViewItem*)));
        QObject::connect(pwordListView, SIGNAL(contextMenuRequested(Q3ListViewItem*,QPoint,int)), MyPasswordSafe, SLOT(onPwordListRightClk(Q3ListViewItem*,QPoint,int)));
        QObject::connect(pwordListView, SIGNAL(dragObjectDropped(QMimeSource*,SafeListViewItem*)), MyPasswordSafe, SLOT(dragObjectDropped(QMimeSource*,SafeListViewItem*)));
        QObject::connect(pwordListView, SIGNAL(deleteItem(SafeItem*)), MyPasswordSafe, SLOT(deleteItem(SafeItem*)));
        QObject::connect(helpAboutAction, SIGNAL(activated()), MyPasswordSafe, SLOT(helpAbout()));
        QObject::connect(settingsGenerateAndShow, SIGNAL(toggled(bool)), MyPasswordSafe, SLOT(setGenerateAndShow(bool)));
        QObject::connect(settingsGenerateAndFetch, SIGNAL(toggled(bool)), MyPasswordSafe, SLOT(setGenerateAndFetch(bool)));
        QObject::connect(settingsGenerateOnNew, SIGNAL(toggled(bool)), MyPasswordSafe, SLOT(setGenerateOnNew(bool)));

        QMetaObject::connectSlotsByName(MyPasswordSafe);
    } // setupUi

    void retranslateUi(Q3MainWindow *MyPasswordSafe)
    {
        MyPasswordSafe->setWindowTitle(QApplication::translate("MyPasswordSafe", "MyPasswordSafe", 0, QApplication::UnicodeUTF8));
        fileNewAction->setIconText(QApplication::translate("MyPasswordSafe", "New", 0, QApplication::UnicodeUTF8));
        fileNewAction->setText(QApplication::translate("MyPasswordSafe", "&New", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_STATUSTIP
        fileNewAction->setStatusTip(QApplication::translate("MyPasswordSafe", "Creates a new safe", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_STATUSTIP
#ifndef QT_NO_WHATSTHIS
        fileNewAction->setWhatsThis(QString());
#endif // QT_NO_WHATSTHIS
        fileNewAction->setShortcut(QApplication::translate("MyPasswordSafe", "Ctrl+N", 0, QApplication::UnicodeUTF8));
        fileOpenAction->setIconText(QApplication::translate("MyPasswordSafe", "Open", 0, QApplication::UnicodeUTF8));
        fileOpenAction->setText(QApplication::translate("MyPasswordSafe", "&Open...", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_STATUSTIP
        fileOpenAction->setStatusTip(QApplication::translate("MyPasswordSafe", "Opens a safe", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_STATUSTIP
        fileOpenAction->setShortcut(QApplication::translate("MyPasswordSafe", "Ctrl+O", 0, QApplication::UnicodeUTF8));
        fileSaveAction->setIconText(QApplication::translate("MyPasswordSafe", "Save", 0, QApplication::UnicodeUTF8));
        fileSaveAction->setText(QApplication::translate("MyPasswordSafe", "&Save", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_STATUSTIP
        fileSaveAction->setStatusTip(QApplication::translate("MyPasswordSafe", "Save the safe", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_STATUSTIP
        fileSaveAction->setShortcut(QApplication::translate("MyPasswordSafe", "Ctrl+S", 0, QApplication::UnicodeUTF8));
        fileSaveAsAction->setIconText(QApplication::translate("MyPasswordSafe", "Save As", 0, QApplication::UnicodeUTF8));
        fileSaveAsAction->setText(QApplication::translate("MyPasswordSafe", "Save &As...", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_STATUSTIP
        fileSaveAsAction->setStatusTip(QApplication::translate("MyPasswordSafe", "Save the safe to a different file", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_STATUSTIP
        fileSaveAsAction->setShortcut(QApplication::translate("MyPasswordSafe", "Ctrl+Shift+S", 0, QApplication::UnicodeUTF8));
        fileExitAction->setIconText(QApplication::translate("MyPasswordSafe", "Exit", 0, QApplication::UnicodeUTF8));
        fileExitAction->setText(QApplication::translate("MyPasswordSafe", "E&xit", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_WHATSTHIS
        fileExitAction->setWhatsThis(QApplication::translate("MyPasswordSafe", "Causes MyPasswordSafe to quit.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_WHATSTHIS
        fileExitAction->setShortcut(QApplication::translate("MyPasswordSafe", "Ctrl+Q", 0, QApplication::UnicodeUTF8));
        helpAboutAction->setIconText(QApplication::translate("MyPasswordSafe", "About", 0, QApplication::UnicodeUTF8));
        helpAboutAction->setText(QApplication::translate("MyPasswordSafe", "&About", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_STATUSTIP
        helpAboutAction->setStatusTip(QApplication::translate("MyPasswordSafe", "About MyPasswordSafe", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_STATUSTIP
        helpAboutAction->setShortcut(QString());
        pwordAddAction->setIconText(QApplication::translate("MyPasswordSafe", "Add Password", 0, QApplication::UnicodeUTF8));
        pwordAddAction->setText(QApplication::translate("MyPasswordSafe", "&Add Password", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_STATUSTIP
        pwordAddAction->setStatusTip(QApplication::translate("MyPasswordSafe", "Creates a new password", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_STATUSTIP
#ifndef QT_NO_WHATSTHIS
        pwordAddAction->setWhatsThis(QString());
#endif // QT_NO_WHATSTHIS
        pwordAddAction->setShortcut(QApplication::translate("MyPasswordSafe", "Ins", 0, QApplication::UnicodeUTF8));
        pwordDeleteAction->setIconText(QApplication::translate("MyPasswordSafe", "Delete", 0, QApplication::UnicodeUTF8));
        pwordDeleteAction->setText(QApplication::translate("MyPasswordSafe", "&Delete", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_STATUSTIP
        pwordDeleteAction->setStatusTip(QApplication::translate("MyPasswordSafe", "Deletes the selected item", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_STATUSTIP
        pwordDeleteAction->setShortcut(QApplication::translate("MyPasswordSafe", "Del", 0, QApplication::UnicodeUTF8));
        pwordEditAction->setIconText(QApplication::translate("MyPasswordSafe", "Properties", 0, QApplication::UnicodeUTF8));
        pwordEditAction->setText(QApplication::translate("MyPasswordSafe", "&Properties", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_STATUSTIP
        pwordEditAction->setStatusTip(QApplication::translate("MyPasswordSafe", "Edits the selected item", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_STATUSTIP
        pwordEditAction->setShortcut(QApplication::translate("MyPasswordSafe", "Alt+Return", 0, QApplication::UnicodeUTF8));
        pwordFetchAction->setIconText(QApplication::translate("MyPasswordSafe", "Fetch Password", 0, QApplication::UnicodeUTF8));
        pwordFetchAction->setText(QApplication::translate("MyPasswordSafe", "&Fetch Password", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_STATUSTIP
        pwordFetchAction->setStatusTip(QApplication::translate("MyPasswordSafe", "Copy the selected password to the clipboard", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_STATUSTIP
        pwordFetchAction->setShortcut(QApplication::translate("MyPasswordSafe", "Space", 0, QApplication::UnicodeUTF8));
        fileMakeDefaultAction->setIconText(QApplication::translate("MyPasswordSafe", "&Make default", 0, QApplication::UnicodeUTF8));
        fileMakeDefaultAction->setText(QApplication::translate("MyPasswordSafe", "&Make default", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_STATUSTIP
        fileMakeDefaultAction->setStatusTip(QApplication::translate("MyPasswordSafe", "Sets the safe that gets opened when MyPasswordSafe starts.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_STATUSTIP
        filePrefAction->setIconText(QApplication::translate("MyPasswordSafe", "Preferences", 0, QApplication::UnicodeUTF8));
        filePrefAction->setText(QApplication::translate("MyPasswordSafe", "&Preferences", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_STATUSTIP
        filePrefAction->setStatusTip(QApplication::translate("MyPasswordSafe", "Edit your preferences", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_STATUSTIP
        filePrefAction->setShortcut(QApplication::translate("MyPasswordSafe", "Ctrl+P", 0, QApplication::UnicodeUTF8));
        helpWhatsThisAction->setIconText(QApplication::translate("MyPasswordSafe", "What's This?", 0, QApplication::UnicodeUTF8));
        helpWhatsThisAction->setText(QApplication::translate("MyPasswordSafe", "What's This?", 0, QApplication::UnicodeUTF8));
        helpWhatsThisAction->setShortcut(QApplication::translate("MyPasswordSafe", "Shift+F1", 0, QApplication::UnicodeUTF8));
        pwordFetchUserAction->setIconText(QApplication::translate("MyPasswordSafe", "Fetch User", 0, QApplication::UnicodeUTF8));
        pwordFetchUserAction->setText(QApplication::translate("MyPasswordSafe", "Fetch &User", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_STATUSTIP
        pwordFetchUserAction->setStatusTip(QApplication::translate("MyPasswordSafe", "Copies the username to the clipboard.", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_STATUSTIP
        pwordFetchUserAction->setShortcut(QApplication::translate("MyPasswordSafe", "Ctrl+U", 0, QApplication::UnicodeUTF8));
        helpManualAction->setIconText(QApplication::translate("MyPasswordSafe", "Manual", 0, QApplication::UnicodeUTF8));
        helpManualAction->setText(QApplication::translate("MyPasswordSafe", "&Manual", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_STATUSTIP
        helpManualAction->setStatusTip(QApplication::translate("MyPasswordSafe", "Opens the manual", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_STATUSTIP
        helpManualAction->setShortcut(QApplication::translate("MyPasswordSafe", "F1", 0, QApplication::UnicodeUTF8));
        fileOpenDefaultAction->setIconText(QApplication::translate("MyPasswordSafe", "Open Default", 0, QApplication::UnicodeUTF8));
        fileOpenDefaultAction->setText(QApplication::translate("MyPasswordSafe", "Open &Default", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_STATUSTIP
        fileOpenDefaultAction->setStatusTip(QApplication::translate("MyPasswordSafe", "Open the default safe", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_STATUSTIP
        fileOpenDefaultAction->setShortcut(QApplication::translate("MyPasswordSafe", "Ctrl+Shift+O", 0, QApplication::UnicodeUTF8));
        changePassPhraseAction->setIconText(QApplication::translate("MyPasswordSafe", "Change pass-phrase", 0, QApplication::UnicodeUTF8));
        changePassPhraseAction->setText(QApplication::translate("MyPasswordSafe", "Change &pass-phrase", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_STATUSTIP
        changePassPhraseAction->setStatusTip(QApplication::translate("MyPasswordSafe", "Change the safe's pass-phrase", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_STATUSTIP
        editUndoAction->setIconText(QApplication::translate("MyPasswordSafe", "Undo", 0, QApplication::UnicodeUTF8));
        editUndoAction->setText(QApplication::translate("MyPasswordSafe", "&Undo", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_STATUSTIP
        editUndoAction->setStatusTip(QApplication::translate("MyPasswordSafe", "Undo the last thing you did", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_STATUSTIP
        editUndoAction->setShortcut(QApplication::translate("MyPasswordSafe", "Ctrl+Z", 0, QApplication::UnicodeUTF8));
        editRedoAction->setIconText(QApplication::translate("MyPasswordSafe", "Redo", 0, QApplication::UnicodeUTF8));
        editRedoAction->setText(QApplication::translate("MyPasswordSafe", "&Redo", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_STATUSTIP
        editRedoAction->setStatusTip(QApplication::translate("MyPasswordSafe", "Redo what was undone", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_STATUSTIP
        editRedoAction->setShortcut(QApplication::translate("MyPasswordSafe", "Ctrl+Y", 0, QApplication::UnicodeUTF8));
        lockAction->setIconText(QApplication::translate("MyPasswordSafe", "Lock MyPasswordSafe", 0, QApplication::UnicodeUTF8));
        lockAction->setText(QApplication::translate("MyPasswordSafe", "&Lock MyPasswordSafe", 0, QApplication::UnicodeUTF8));
        lockAction->setShortcut(QApplication::translate("MyPasswordSafe", "Ctrl+L", 0, QApplication::UnicodeUTF8));
        lockOnMinimizeAction->setIconText(QApplication::translate("MyPasswordSafe", "Lock on minimize?", 0, QApplication::UnicodeUTF8));
        lockOnMinimizeAction->setText(QApplication::translate("MyPasswordSafe", "&Lock on minimize?", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_STATUSTIP
        lockOnMinimizeAction->setStatusTip(QApplication::translate("MyPasswordSafe", "Lock on minimize?", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_STATUSTIP
        settingsGenerateAndShow->setIconText(QApplication::translate("MyPasswordSafe", "Show password after generation?", 0, QApplication::UnicodeUTF8));
        settingsGenerateAndShow->setText(QApplication::translate("MyPasswordSafe", "Generate and then show?", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_STATUSTIP
        settingsGenerateAndShow->setStatusTip(QApplication::translate("MyPasswordSafe", "Show the password after generation?", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_STATUSTIP
        settingsGenerateAndFetch->setIconText(QApplication::translate("MyPasswordSafe", "Fetch password after generation?", 0, QApplication::UnicodeUTF8));
        settingsGenerateAndFetch->setText(QApplication::translate("MyPasswordSafe", "Fetch password after generation?", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_STATUSTIP
        settingsGenerateAndFetch->setStatusTip(QApplication::translate("MyPasswordSafe", "Fetch the password after generation?", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_STATUSTIP
        settingsGenerateOnNew->setIconText(QApplication::translate("MyPasswordSafe", "Automatically generate new passwords?", 0, QApplication::UnicodeUTF8));
        settingsGenerateOnNew->setText(QApplication::translate("MyPasswordSafe", "Generate new passwords?", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_STATUSTIP
        settingsGenerateOnNew->setStatusTip(QApplication::translate("MyPasswordSafe", "Automatically generate all new passwords?", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_STATUSTIP
        createGroupAction->setIconText(QApplication::translate("MyPasswordSafe", "Create Group", 0, QApplication::UnicodeUTF8));
        createGroupAction->setText(QApplication::translate("MyPasswordSafe", "Create &Group", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_STATUSTIP
        createGroupAction->setStatusTip(QApplication::translate("MyPasswordSafe", "Create a new group", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_STATUSTIP
        createGroupAction->setShortcut(QApplication::translate("MyPasswordSafe", "Ctrl+G", 0, QApplication::UnicodeUTF8));
        clearClipboardOnExitAction->setIconText(QApplication::translate("MyPasswordSafe", "Clear clipboard on exit?", 0, QApplication::UnicodeUTF8));
        clearClipboardOnExitAction->setText(QApplication::translate("MyPasswordSafe", "&Clear clipboard on exit?", 0, QApplication::UnicodeUTF8));
        settingsDetailsAction->setIconText(QApplication::translate("MyPasswordSafe", "Details", 0, QApplication::UnicodeUTF8));
        settingsDetailsAction->setText(QApplication::translate("MyPasswordSafe", "Details", 0, QApplication::UnicodeUTF8));
        settingsDetailsNameAction->setIconText(QApplication::translate("MyPasswordSafe", "Name", 0, QApplication::UnicodeUTF8));
        settingsDetailsNameAction->setText(QApplication::translate("MyPasswordSafe", "Name", 0, QApplication::UnicodeUTF8));
        settingsDetailsUserAction->setIconText(QApplication::translate("MyPasswordSafe", "User", 0, QApplication::UnicodeUTF8));
        settingsDetailsUserAction->setText(QApplication::translate("MyPasswordSafe", "User", 0, QApplication::UnicodeUTF8));
        settingsDetailsNotesAction->setIconText(QApplication::translate("MyPasswordSafe", "Notes", 0, QApplication::UnicodeUTF8));
        settingsDetailsNotesAction->setText(QApplication::translate("MyPasswordSafe", "Notes", 0, QApplication::UnicodeUTF8));
        settingsDetailsLast_ModifiedAction->setIconText(QApplication::translate("MyPasswordSafe", "Last Modified", 0, QApplication::UnicodeUTF8));
        settingsDetailsLast_ModifiedAction->setText(QApplication::translate("MyPasswordSafe", "Last Modified", 0, QApplication::UnicodeUTF8));
        settingsDetailsLast_AccessedAction->setIconText(QApplication::translate("MyPasswordSafe", "Last Accessed", 0, QApplication::UnicodeUTF8));
        settingsDetailsLast_AccessedAction->setText(QApplication::translate("MyPasswordSafe", "Last Accessed", 0, QApplication::UnicodeUTF8));
        settingsDetailsCreated_OnAction->setIconText(QApplication::translate("MyPasswordSafe", "Created On", 0, QApplication::UnicodeUTF8));
        settingsDetailsCreated_OnAction->setText(QApplication::translate("MyPasswordSafe", "Created On", 0, QApplication::UnicodeUTF8));
        settingsDetailsLifetimeAction->setIconText(QApplication::translate("MyPasswordSafe", "Lifetime", 0, QApplication::UnicodeUTF8));
        settingsDetailsLifetimeAction->setText(QApplication::translate("MyPasswordSafe", "Lifetime", 0, QApplication::UnicodeUTF8));
        settingsInstall_clear_timerAction->setIconText(QApplication::translate("MyPasswordSafe", "Install clear timer?", 0, QApplication::UnicodeUTF8));
        settingsInstall_clear_timerAction->setText(QApplication::translate("MyPasswordSafe", "Install clear timer?", 0, QApplication::UnicodeUTF8));
        editClearClipboardAction->setIconText(QApplication::translate("MyPasswordSafe", "Clear Clipboard", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_WHATSTHIS
        pwordListView->setProperty("whatsThis", QVariant(QApplication::translate("MyPasswordSafe", "This is the password list. A few operations can be performed with the mouse and keyboard. These are:\n"
"- Double clicking an item or pressing the space bar when one is active copies the password to the clipboard\n"
"- Right clicking an item pops up the password menu\n"
"- Pressing return copies the selected item to the clipboard.\n"
"\n"
"", 0, QApplication::UnicodeUTF8)));
#endif // QT_NO_WHATSTHIS
        toolBar->setLabel(QApplication::translate("MyPasswordSafe", "Tools", 0, QApplication::UnicodeUTF8));
        fileMenu->setTitle(QApplication::translate("MyPasswordSafe", "&File", 0, QApplication::UnicodeUTF8));
        PopupMenu->setTitle(QApplication::translate("MyPasswordSafe", "&Edit", 0, QApplication::UnicodeUTF8));
        PopupMenu_2->setTitle(QApplication::translate("MyPasswordSafe", "&Settings", 0, QApplication::UnicodeUTF8));
        helpMenu->setTitle(QApplication::translate("MyPasswordSafe", "&Help", 0, QApplication::UnicodeUTF8));
    } // retranslateUi


protected:
    enum IconID
    {
        image0_ID,
        unknown_ID
    };
    static QPixmap qt_get_icon(IconID id)
    {
    static const unsigned char image0_data[] = { 
    0x89, 0x50, 0x4e, 0x47, 0x0d, 0x0a, 0x1a, 0x0a, 0x00, 0x00, 0x00, 0x0d,
    0x49, 0x48, 0x44, 0x52, 0x00, 0x00, 0x00, 0x16, 0x00, 0x00, 0x00, 0x16,
    0x08, 0x06, 0x00, 0x00, 0x00, 0xc4, 0xb4, 0x6c, 0x3b, 0x00, 0x00, 0x02,
    0xff, 0x49, 0x44, 0x41, 0x54, 0x78, 0x9c, 0xb5, 0x95, 0x31, 0x68, 0x1c,
    0x47, 0x14, 0x86, 0x3f, 0x99, 0x2d, 0xde, 0x82, 0x0c, 0xb3, 0x70, 0x81,
    0x5b, 0x50, 0x60, 0x0f, 0x54, 0xe8, 0xca, 0x0b, 0xa4, 0x39, 0x70, 0x71,
    0x2a, 0x8f, 0xb8, 0x38, 0x43, 0x8a, 0x38, 0x95, 0x63, 0x48, 0x13, 0xd2,
    0x38, 0xa5, 0xab, 0x80, 0xe3, 0x14, 0xae, 0x4d, 0x0a, 0x81, 0x20, 0x60,
    0xa4, 0x22, 0x60, 0x17, 0xc2, 0x72, 0x21, 0xc8, 0xa9, 0xda, 0x6b, 0x8c,
    0x4f, 0xe0, 0xe0, 0x0d, 0x28, 0xb0, 0x57, 0x1c, 0xec, 0x82, 0x04, 0x3b,
    0x85, 0x61, 0x1f, 0x78, 0xc1, 0x29, 0x66, 0xef, 0xa4, 0xbb, 0x8b, 0xc0,
    0x85, 0xf2, 0x9a, 0x65, 0x67, 0xdf, 0x7c, 0xef, 0x9f, 0x7f, 0xde, 0xcc,
    0xae, 0xc5, 0x71, 0xcc, 0x2c, 0xba, 0xdd, 0xee, 0x47, 0xae, 0x21, 0xe2,
    0x38, 0x5e, 0x5b, 0x9b, 0x81, 0x5f, 0x1e, 0xbc, 0xfc, 0xd8, 0xde, 0x6a,
    0x63, 0xad, 0x25, 0xcb, 0x33, 0x8a, 0xf7, 0xc5, 0x27, 0x41, 0xac, 0xb5,
    0xa4, 0xa7, 0x29, 0xa3, 0xd7, 0x23, 0xa8, 0x2e, 0xc6, 0xbd, 0x99, 0xd2,
    0x67, 0xbf, 0x3f, 0x23, 0xfc, 0x1c, 0x4c, 0xab, 0x24, 0x42, 0xd1, 0x4a,
    0x91, 0x59, 0x86, 0xe7, 0x92, 0xfd, 0xfa, 0x59, 0x56, 0x97, 0x66, 0x57,
    0x30, 0x49, 0x41, 0x77, 0x84, 0xf1, 0xb1, 0x2e, 0x82, 0x67, 0x95, 0x4d,
    0xab, 0x24, 0xb7, 0x87, 0x14, 0x45, 0x0a, 0x28, 0xbe, 0xaf, 0x94, 0x1f,
    0x84, 0x7c, 0x2a, 0x14, 0xe7, 0x0a, 0x08, 0x41, 0x03, 0x5a, 0x2d, 0x45,
    0xd6, 0x41, 0xeb, 0x02, 0x72, 0x13, 0xc2, 0x10, 0xc6, 0x97, 0x56, 0x32,
    0x07, 0x67, 0x79, 0x46, 0x84, 0xd6, 0x50, 0x8b, 0xef, 0x0b, 0xef, 0xde,
    0x1a, 0x86, 0x07, 0x96, 0xe4, 0xc4, 0x02, 0x33, 0x35, 0x42, 0xb4, 0x25,
    0x6c, 0x0f, 0x0c, 0xdd, 0x1e, 0x50, 0xb9, 0x71, 0x91, 0x45, 0x8b, 0xe6,
    0xe0, 0xe2, 0x7d, 0x81, 0x56, 0x3a, 0x87, 0xc6, 0x43, 0xd8, 0xfb, 0x2d,
    0x77, 0x93, 0xd6, 0x85, 0xd6, 0x96, 0x41, 0x3c, 0xc8, 0xa6, 0xca, 0xe4,
    0x6f, 0x65, 0xf7, 0xd7, 0x9c, 0x7c, 0x62, 0xb8, 0x7b, 0x4f, 0x2e, 0x15,
    0xfd, 0x0f, 0xb0, 0xd3, 0x02, 0xbe, 0x0f, 0xef, 0xde, 0x4a, 0x0d, 0x55,
    0x7a, 0x5f, 0x35, 0xe9, 0x0f, 0x84, 0xe0, 0x33, 0x40, 0x14, 0xd5, 0x90,
    0xf8, 0x55, 0xc9, 0xde, 0x4e, 0xce, 0xe1, 0x7e, 0x4e, 0xb3, 0x19, 0xd1,
    0xff, 0x3a, 0x00, 0xec, 0x02, 0xf8, 0xc6, 0x72, 0x99, 0xf2, 0x83, 0x30,
    0x7c, 0x61, 0xe7, 0xd0, 0x6f, 0xbf, 0x17, 0x82, 0xd0, 0x82, 0x58, 0x8a,
    0x33, 0xe1, 0xcf, 0x17, 0x05, 0xfd, 0x81, 0xcf, 0x77, 0x3f, 0x36, 0x01,
    0xe1, 0xf9, 0xbe, 0xc5, 0x9e, 0x2f, 0x4b, 0x5c, 0x7e, 0xf5, 0x20, 0x9f,
    0x0a, 0xc9, 0x5f, 0x16, 0x63, 0x0c, 0xfd, 0x81, 0x80, 0x67, 0xc1, 0x03,
    0xb5, 0x86, 0xdd, 0x27, 0x4a, 0x72, 0x62, 0x29, 0xce, 0xe0, 0xfe, 0x83,
    0x80, 0xd1, 0x91, 0xcb, 0x4d, 0x12, 0x67, 0xd3, 0xd5, 0x8a, 0xa1, 0xde,
    0x7d, 0x25, 0x8c, 0xea, 0xe5, 0xd7, 0xd0, 0xa7, 0x8f, 0xdd, 0x26, 0x9a,
    0x86, 0xf0, 0xc5, 0x2d, 0x41, 0x4c, 0x49, 0xbb, 0xe3, 0x76, 0x2c, 0x9b,
    0x68, 0x6d, 0xe4, 0x15, 0x60, 0xd7, 0xa7, 0x2e, 0x41, 0xc4, 0x79, 0x5a,
    0x64, 0x86, 0xa7, 0x8f, 0x95, 0xe4, 0xc4, 0x15, 0x14, 0x81, 0xd6, 0x86,
    0xef, 0xbe, 0x7b, 0x33, 0x98, 0xac, 0x58, 0xb1, 0xa2, 0x38, 0x68, 0xb8,
    0xc4, 0x74, 0xaa, 0xa8, 0x06, 0x8c, 0x8e, 0x71, 0x4a, 0x8d, 0xd0, 0x6c,
    0x1a, 0xf2, 0xa9, 0xe5, 0xd1, 0xc3, 0x8c, 0x64, 0x1c, 0x90, 0x9d, 0xba,
    0x6e, 0x08, 0x23, 0x7f, 0x19, 0xb3, 0x58, 0xa7, 0xac, 0x5c, 0xf3, 0x47,
    0x9b, 0xc2, 0xe4, 0x1f, 0x25, 0x7e, 0x55, 0xd2, 0xff, 0xc6, 0xa7, 0x38,
    0x33, 0x74, 0x6f, 0x09, 0xe1, 0x86, 0xcf, 0xa3, 0x87, 0x90, 0x4f, 0x2c,
    0xbf, 0xfc, 0x90, 0xa2, 0xaa, 0x98, 0x86, 0xd0, 0xe9, 0x94, 0x64, 0xd3,
    0xc5, 0x96, 0x5b, 0x51, 0x2c, 0xeb, 0xd0, 0x1f, 0x18, 0x00, 0xf6, 0x76,
    0x72, 0xe2, 0xa3, 0x92, 0xfb, 0x0f, 0x02, 0x3a, 0x3d, 0x88, 0x3a, 0x05,
    0x3f, 0xfd, 0xdc, 0xc2, 0x34, 0x0d, 0xd6, 0x5a, 0xb4, 0x52, 0xb6, 0x07,
    0x4d, 0xc2, 0xcd, 0x15, 0xc1, 0xcb, 0xce, 0xb8, 0x63, 0xda, 0xed, 0x41,
    0x3e, 0x35, 0x3c, 0xdf, 0xcf, 0xd9, 0x7d, 0x92, 0x33, 0x3a, 0x12, 0xda,
    0x6d, 0x01, 0x81, 0xec, 0x34, 0x43, 0xcf, 0x75, 0x3e, 0xf3, 0xcd, 0xd0,
    0x92, 0xde, 0x0e, 0x11, 0x6f, 0xf1, 0xa0, 0x2c, 0xdc, 0x15, 0x73, 0x38,
    0xca, 0x9d, 0x7b, 0x82, 0x69, 0x46, 0x1c, 0xfe, 0xe1, 0xba, 0x21, 0x39,
    0xb9, 0x28, 0x6e, 0x1a, 0x42, 0x7f, 0x10, 0x11, 0x0f, 0x2d, 0x56, 0x15,
    0x55, 0xb0, 0x76, 0xd1, 0x8a, 0x39, 0x38, 0x3d, 0x4d, 0x99, 0xa4, 0xc0,
    0xcd, 0x0b, 0x78, 0x7f, 0x20, 0x74, 0x7b, 0x21, 0x49, 0x62, 0xc8, 0x26,
    0x6e, 0x3c, 0xdc, 0xf0, 0xe9, 0x7c, 0x59, 0x12, 0x6e, 0xc2, 0xf6, 0xed,
    0xd0, 0x89, 0xf4, 0x0a, 0x92, 0xf1, 0x15, 0xe0, 0xd1, 0xeb, 0x11, 0xba,
    0x23, 0x84, 0x61, 0xdd, 0x6a, 0x15, 0xf3, 0x2b, 0x53, 0x66, 0x6d, 0xe8,
    0x41, 0x96, 0x5b, 0xb2, 0x03, 0x57, 0x5a, 0x3c, 0xc1, 0x5a, 0x48, 0xc6,
    0x4a, 0x96, 0x5f, 0xe5, 0x71, 0x05, 0xe3, 0x63, 0x5d, 0xb8, 0xfa, 0x96,
    0xdc, 0xff, 0xc4, 0x31, 0x17, 0x2b, 0x5d, 0x71, 0x5d, 0x71, 0x03, 0xdc,
    0x3f, 0xea, 0x7f, 0x01, 0x5f, 0x37, 0x3c, 0x8e, 0xe3, 0xb5, 0x7f, 0x01,
    0x35, 0x10, 0x5a, 0x0f, 0xfe, 0x02, 0xa8, 0x01, 0x00, 0x00, 0x00, 0x00,
    0x49, 0x45, 0x4e, 0x44, 0xae, 0x42, 0x60, 0x82
};

    switch (id) {
        case image0_ID:  { QImage img; img.loadFromData(image0_data, sizeof(image0_data), "PNG"); return QPixmap::fromImage(img); }
        default: return QPixmap();
    } // switch
    } // icon

};

namespace Ui {
    class MyPasswordSafe: public Ui_MyPasswordSafe {};
} // namespace Ui

QT_END_NAMESPACE

class MyPasswordSafe : public Q3MainWindow, public Ui::MyPasswordSafe
{
    Q_OBJECT

public:
    MyPasswordSafe(QWidget* parent = 0, const char* name = 0, Qt::WindowFlags fl = Qt::WType_TopLevel);
    ~MyPasswordSafe();

    bool closeSafe();
    virtual bool open( const char * filename, const EncryptedString & passkey );
    virtual bool open( const char * filename, const EncryptedString & passkey, const char * type );
    Safe * getSafe();
    int getGeneratedPwordLength();
    virtual const QString & getDefaultSafe();
    virtual bool browseForSafe( QString & filename, QString & filter, bool saving );
    virtual bool clearClipboardOnExit() const;
    virtual bool lockOnMinimize() const;
    virtual void readConfig();
    virtual void readColumnWidth( int col, const char * name );
    virtual void writeColumnWidth( int col, const char * name );
    virtual void writeConfig();
    virtual bool firstTime() const;
    virtual bool isMinimized() const;
    virtual void hideChildren();
    virtual void showChildren();
    virtual SafeGroup * getSelectedParent() const;
    virtual void setClearTimeOut(unsigned int);
    virtual unsigned int clearTimeOut();

public slots:
    virtual void fileNew();
    virtual void fileExit();
    virtual void fileMakeDefault();
    virtual void filePreferences();
    virtual void fileOpen();
    virtual bool save();
    virtual bool saveAs();
    virtual void pwordAdd();
    virtual void pwordDelete();
    virtual void deleteItem( SafeItem * item );
    virtual void pwordEdit();
    virtual void pwordFetch();
    virtual void pwordFetchUser();
    virtual void onPwordListDblClicked( Q3ListViewItem * item );
    virtual void onPwordListRightClk( Q3ListViewItem *, const QPoint & point, int );
    virtual void helpAbout( int page );
    virtual void helpManual();
    virtual void setDefaultSafe( const QString & path );
    virtual void createNewSafe( const EncryptedString & passphrase );
    virtual void fileOpenDefault();
    virtual void fileChangePassPhrase();
    virtual void lock();
    virtual void createGroup();
    virtual void setClearClipboardOnExit( bool yes );
    virtual void setLockOnMinimize( bool yes );
    virtual void setGenerateAndShow( bool yes);
    virtual void setGenerateAndFetch( bool yes);
    virtual void setGenerateOnNew( bool yes);
    virtual void hideEvent( QHideEvent * );
    virtual void showEvent( QShowEvent * );
    virtual void dragObjectDropped( QMimeSource * drag, SafeListViewItem * target );
    virtual void clipboardCleared();
    virtual void helpAbout();
    virtual void savingEnabled();
    virtual void savingEnabled(bool);
    virtual void slotSecondsIdle(int);
    virtual void checkMinimization();
    virtual void editDialogAccepted();
    virtual void editDialogRejected();

signals:
    void quit();

protected:
    virtual bool createEditDialog(SafeEntry *);

protected slots:
    virtual void languageChange();

    virtual void closeEvent( QCloseEvent * e );


private:
    ManualDlg m_manual;
    int m_name_width, m_user_width, m_notes_width, m_max_tries;
    QString m_default_safe;
    bool m_clear_clipboard;
    QString m_def_user;
    Safe *m_safe;
    unsigned int m_gen_pword_length;
    QSettings m_config;
    bool m_do_lock;
    bool m_first_time;
    Idle *m_idle;
    int m_idle_timeout;
    Q3PtrList<PwordEditDlg> m_children;
    Clipboard *m_clipboard;

    void init();
    void destroy();
    virtual bool removeEditDialog(const PwordEditDlg *);

};

#endif // MYPASSWORDSAFE_H
