#ifndef NEWPASSPHRASEDLG_H
#define NEWPASSPHRASEDLG_H

#include <qvariant.h>


#include <Qt3Support/Q3MimeSourceFactory>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QHeaderView>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QVBoxLayout>

QT_BEGIN_NAMESPACE

class Ui_NewPassPhraseDlg
{
public:
    QVBoxLayout *vboxLayout;
    QLabel *textLabel1;
    QGridLayout *gridLayout;
    QLineEdit *secondLine;
    QLineEdit *firstLine;
    QLabel *textLabel2;
    QLabel *textLabel2_2;
    QHBoxLayout *hboxLayout;
    QSpacerItem *spacer3;
    QPushButton *cancelButton;
    QPushButton *okButton;

    void setupUi(QDialog *NewPassPhraseDlg)
    {
        if (NewPassPhraseDlg->objectName().isEmpty())
            NewPassPhraseDlg->setObjectName(QString::fromUtf8("NewPassPhraseDlg"));
        NewPassPhraseDlg->resize(320, 130);
        NewPassPhraseDlg->setMinimumSize(QSize(320, 130));
        NewPassPhraseDlg->setMaximumSize(QSize(320, 130));
        vboxLayout = new QVBoxLayout(NewPassPhraseDlg);
        vboxLayout->setSpacing(6);
        vboxLayout->setMargin(11);
        vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
        textLabel1 = new QLabel(NewPassPhraseDlg);
        textLabel1->setObjectName(QString::fromUtf8("textLabel1"));
        textLabel1->setAlignment(Qt::AlignVCenter);
        textLabel1->setWordWrap(true);

        vboxLayout->addWidget(textLabel1);

        gridLayout = new QGridLayout();
        gridLayout->setSpacing(6);
        gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
        secondLine = new QLineEdit(NewPassPhraseDlg);
        secondLine->setObjectName(QString::fromUtf8("secondLine"));
        secondLine->setEchoMode(QLineEdit::Password);

        gridLayout->addWidget(secondLine, 1, 1, 1, 1);

        firstLine = new QLineEdit(NewPassPhraseDlg);
        firstLine->setObjectName(QString::fromUtf8("firstLine"));
        firstLine->setEchoMode(QLineEdit::Password);

        gridLayout->addWidget(firstLine, 0, 1, 1, 1);

        textLabel2 = new QLabel(NewPassPhraseDlg);
        textLabel2->setObjectName(QString::fromUtf8("textLabel2"));
        textLabel2->setWordWrap(false);

        gridLayout->addWidget(textLabel2, 0, 0, 1, 1);

        textLabel2_2 = new QLabel(NewPassPhraseDlg);
        textLabel2_2->setObjectName(QString::fromUtf8("textLabel2_2"));
        textLabel2_2->setWordWrap(false);

        gridLayout->addWidget(textLabel2_2, 1, 0, 1, 1);


        vboxLayout->addLayout(gridLayout);

        hboxLayout = new QHBoxLayout();
        hboxLayout->setSpacing(6);
        hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
        spacer3 = new QSpacerItem(123, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout->addItem(spacer3);

        cancelButton = new QPushButton(NewPassPhraseDlg);
        cancelButton->setObjectName(QString::fromUtf8("cancelButton"));
        cancelButton->setAutoDefault(false);
        const QIcon icon = QIcon(qPixmapFromMimeSource(":/images/button_cancel.png"));
        cancelButton->setIcon(icon);

        hboxLayout->addWidget(cancelButton);

        okButton = new QPushButton(NewPassPhraseDlg);
        okButton->setObjectName(QString::fromUtf8("okButton"));
        okButton->setEnabled(true);
        okButton->setDefault(true);
        const QIcon icon1 = QIcon(qPixmapFromMimeSource(":/images/button_ok.png"));
        okButton->setIcon(icon1);

        hboxLayout->addWidget(okButton);


        vboxLayout->addLayout(hboxLayout);

#ifndef QT_NO_SHORTCUT
        textLabel2->setBuddy(firstLine);
        textLabel2_2->setBuddy(secondLine);
#endif // QT_NO_SHORTCUT
        QWidget::setTabOrder(firstLine, secondLine);
        QWidget::setTabOrder(secondLine, cancelButton);
        QWidget::setTabOrder(cancelButton, okButton);

        retranslateUi(NewPassPhraseDlg);
        QObject::connect(cancelButton, SIGNAL(clicked()), NewPassPhraseDlg, SLOT(reject()));
        QObject::connect(okButton, SIGNAL(clicked()), NewPassPhraseDlg, SLOT(okClicked()));
        QObject::connect(firstLine, SIGNAL(textChanged(QString)), NewPassPhraseDlg, SLOT(lineChanged(QString)));
        QObject::connect(secondLine, SIGNAL(textChanged(QString)), NewPassPhraseDlg, SLOT(lineChanged(QString)));

        QMetaObject::connectSlotsByName(NewPassPhraseDlg);
    } // setupUi

    void retranslateUi(QDialog *NewPassPhraseDlg)
    {
        NewPassPhraseDlg->setWindowTitle(QApplication::translate("NewPassPhraseDlg", "New Pass-phrase", 0, QApplication::UnicodeUTF8));
        textLabel1->setText(QApplication::translate("NewPassPhraseDlg", "What would you like your new password to be?", 0, QApplication::UnicodeUTF8));
        textLabel2->setText(QApplication::translate("NewPassPhraseDlg", "&Password:", 0, QApplication::UnicodeUTF8));
        textLabel2_2->setText(QApplication::translate("NewPassPhraseDlg", "&Re-type:", 0, QApplication::UnicodeUTF8));
        cancelButton->setText(QApplication::translate("NewPassPhraseDlg", "&Cancel", 0, QApplication::UnicodeUTF8));
        cancelButton->setShortcut(QApplication::translate("NewPassPhraseDlg", "Alt+C", 0, QApplication::UnicodeUTF8));
        okButton->setText(QApplication::translate("NewPassPhraseDlg", "&Ok", 0, QApplication::UnicodeUTF8));
        okButton->setShortcut(QApplication::translate("NewPassPhraseDlg", "Alt+O", 0, QApplication::UnicodeUTF8));
        Q_UNUSED(NewPassPhraseDlg);
    } // retranslateUi

};

namespace Ui {
    class NewPassPhraseDlg: public Ui_NewPassPhraseDlg {};
} // namespace Ui

QT_END_NAMESPACE

class NewPassPhraseDlg : public QDialog, public Ui::NewPassPhraseDlg
{
    Q_OBJECT

public:
    NewPassPhraseDlg(QWidget* parent = 0, const char* name = 0, bool modal = false, Qt::WindowFlags fl = 0);
    ~NewPassPhraseDlg();

    virtual QString password();

public slots:
    virtual void okClicked();
    virtual void lineChanged( const QString & text );

protected slots:
    virtual void languageChange();

private:
    void init();

};

#endif // NEWPASSPHRASEDLG_H
