#ifndef PASSPHRASEDLG_H
#define PASSPHRASEDLG_H

#include <qvariant.h>


#include <Qt3Support/Q3MimeSourceFactory>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QHBoxLayout>
#include <QtGui/QHeaderView>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QVBoxLayout>
#include "securedstring.hpp"

QT_BEGIN_NAMESPACE

class Ui_PassPhraseDlg
{
public:
    QVBoxLayout *vboxLayout;
    QHBoxLayout *hboxLayout;
    QLabel *pixmapLabel1;
    QVBoxLayout *vboxLayout1;
    QLabel *textLabel5;
    QLineEdit *pwordBox;
    QHBoxLayout *hboxLayout1;
    QSpacerItem *spacer3;
    QPushButton *cancelButton;
    QPushButton *okButton;

    void setupUi(QDialog *PassPhraseDlg)
    {
        if (PassPhraseDlg->objectName().isEmpty())
            PassPhraseDlg->setObjectName(QString::fromUtf8("PassPhraseDlg"));
        PassPhraseDlg->resize(300, 100);
        QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(0), static_cast<QSizePolicy::Policy>(0));
        sizePolicy.setHorizontalStretch(0);
        sizePolicy.setVerticalStretch(0);
        sizePolicy.setHeightForWidth(PassPhraseDlg->sizePolicy().hasHeightForWidth());
        PassPhraseDlg->setSizePolicy(sizePolicy);
        PassPhraseDlg->setMinimumSize(QSize(300, 100));
        PassPhraseDlg->setMaximumSize(QSize(300, 100));
        vboxLayout = new QVBoxLayout(PassPhraseDlg);
        vboxLayout->setSpacing(6);
        vboxLayout->setMargin(11);
        vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
        hboxLayout = new QHBoxLayout();
        hboxLayout->setSpacing(6);
        hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
        pixmapLabel1 = new QLabel(PassPhraseDlg);
        pixmapLabel1->setObjectName(QString::fromUtf8("pixmapLabel1"));
        QSizePolicy sizePolicy1(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(1));
        sizePolicy1.setHorizontalStretch(0);
        sizePolicy1.setVerticalStretch(0);
        sizePolicy1.setHeightForWidth(pixmapLabel1->sizePolicy().hasHeightForWidth());
        pixmapLabel1->setSizePolicy(sizePolicy1);
        pixmapLabel1->setMinimumSize(QSize(48, 48));
        pixmapLabel1->setMaximumSize(QSize(48, 48));
        pixmapLabel1->setPixmap(QPixmap(qPixmapFromMimeSource(":/images/keys.png")));
        pixmapLabel1->setScaledContents(true);
        pixmapLabel1->setWordWrap(false);

        hboxLayout->addWidget(pixmapLabel1);

        vboxLayout1 = new QVBoxLayout();
        vboxLayout1->setSpacing(6);
        vboxLayout1->setObjectName(QString::fromUtf8("vboxLayout1"));
        textLabel5 = new QLabel(PassPhraseDlg);
        textLabel5->setObjectName(QString::fromUtf8("textLabel5"));
        textLabel5->setWordWrap(false);

        vboxLayout1->addWidget(textLabel5);

        pwordBox = new QLineEdit(PassPhraseDlg);
        pwordBox->setObjectName(QString::fromUtf8("pwordBox"));
        pwordBox->setEchoMode(QLineEdit::Password);

        vboxLayout1->addWidget(pwordBox);


        hboxLayout->addLayout(vboxLayout1);


        vboxLayout->addLayout(hboxLayout);

        hboxLayout1 = new QHBoxLayout();
        hboxLayout1->setSpacing(6);
        hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
        spacer3 = new QSpacerItem(181, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout1->addItem(spacer3);

        cancelButton = new QPushButton(PassPhraseDlg);
        cancelButton->setObjectName(QString::fromUtf8("cancelButton"));
        const QIcon icon = QIcon(qPixmapFromMimeSource(":/images/button_cancel.png"));
        cancelButton->setIcon(icon);

        hboxLayout1->addWidget(cancelButton);

        okButton = new QPushButton(PassPhraseDlg);
        okButton->setObjectName(QString::fromUtf8("okButton"));
        okButton->setDefault(true);
        const QIcon icon1 = QIcon(qPixmapFromMimeSource(":/images/button_ok.png"));
        okButton->setIcon(icon1);

        hboxLayout1->addWidget(okButton);


        vboxLayout->addLayout(hboxLayout1);

#ifndef QT_NO_SHORTCUT
        textLabel5->setBuddy(pwordBox);
#endif // QT_NO_SHORTCUT
        QWidget::setTabOrder(pwordBox, cancelButton);
        QWidget::setTabOrder(cancelButton, okButton);

        retranslateUi(PassPhraseDlg);
        QObject::connect(okButton, SIGNAL(clicked()), PassPhraseDlg, SLOT(accept()));
        QObject::connect(cancelButton, SIGNAL(clicked()), PassPhraseDlg, SLOT(reject()));
        QObject::connect(pwordBox, SIGNAL(textChanged(QString)), PassPhraseDlg, SLOT(pwordBox_textChanged(QString)));

        QMetaObject::connectSlotsByName(PassPhraseDlg);
    } // setupUi

    void retranslateUi(QDialog *PassPhraseDlg)
    {
        PassPhraseDlg->setWindowTitle(QApplication::translate("PassPhraseDlg", "What's your pass-phrase?", 0, QApplication::UnicodeUTF8));
        textLabel5->setText(QApplication::translate("PassPhraseDlg", "What is your &pass-phrase?", 0, QApplication::UnicodeUTF8));
        cancelButton->setText(QApplication::translate("PassPhraseDlg", "&Cancel", 0, QApplication::UnicodeUTF8));
        cancelButton->setShortcut(QApplication::translate("PassPhraseDlg", "Alt+C", 0, QApplication::UnicodeUTF8));
        okButton->setText(QApplication::translate("PassPhraseDlg", "&Ok", 0, QApplication::UnicodeUTF8));
        okButton->setShortcut(QApplication::translate("PassPhraseDlg", "Alt+O", 0, QApplication::UnicodeUTF8));
        Q_UNUSED(PassPhraseDlg);
    } // retranslateUi

};

namespace Ui {
    class PassPhraseDlg: public Ui_PassPhraseDlg {};
} // namespace Ui

QT_END_NAMESPACE

class PassPhraseDlg : public QDialog, public Ui::PassPhraseDlg
{
    Q_OBJECT

public:
    PassPhraseDlg(QWidget* parent = 0, const char* name = 0, bool modal = false, Qt::WindowFlags fl = 0);
    ~PassPhraseDlg();

    const QString getText() const;

public slots:
    virtual void pwordBox_textChanged( const QString & text );
    virtual void hideCancel( bool yes );

protected slots:
    virtual void languageChange();

private:
    QString m_passkey;

};

#endif // PASSPHRASEDLG_H
