#ifndef PREFERENCESDLG_H
#define PREFERENCESDLG_H

#include <qvariant.h>

using std::string;

#include <Qt3Support/Q3MimeSourceFactory>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QHeaderView>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QSpinBox>
#include <QtGui/QVBoxLayout>
#include <string>

QT_BEGIN_NAMESPACE

class Ui_PreferencesDlg
{
public:
    QVBoxLayout *vboxLayout;
    QGridLayout *gridLayout;
    QHBoxLayout *hboxLayout;
    QSpacerItem *spacer4;
    QSpinBox *idleTimeBox;
    QHBoxLayout *hboxLayout1;
    QSpacerItem *spacer41;
    QSpinBox *clearTimeBox;
    QLabel *textLabel6;
    QHBoxLayout *hboxLayout2;
    QLineEdit *defaultSafeBox;
    QPushButton *browseButton;
    QLabel *textLabel1;
    QHBoxLayout *hboxLayout3;
    QSpacerItem *spacer10;
    QSpinBox *pwordLengthBox;
    QLineEdit *defUserBox;
    QHBoxLayout *hboxLayout4;
    QSpacerItem *spacer11;
    QSpinBox *maxTriesBox;
    QLabel *textLabel1_3;
    QLabel *textLabel1_4;
    QLabel *textLabel7;
    QLabel *textLabel1_2;
    QHBoxLayout *hboxLayout5;
    QPushButton *helpButton;
    QSpacerItem *spacer9;
    QPushButton *cancelButton;
    QPushButton *okButton;

    void setupUi(QDialog *PreferencesDlg)
    {
        if (PreferencesDlg->objectName().isEmpty())
            PreferencesDlg->setObjectName(QString::fromUtf8("PreferencesDlg"));
        PreferencesDlg->resize(450, 200);
        QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(4), static_cast<QSizePolicy::Policy>(4));
        sizePolicy.setHorizontalStretch(0);
        sizePolicy.setVerticalStretch(0);
        sizePolicy.setHeightForWidth(PreferencesDlg->sizePolicy().hasHeightForWidth());
        PreferencesDlg->setSizePolicy(sizePolicy);
        PreferencesDlg->setMinimumSize(QSize(450, 200));
        PreferencesDlg->setMaximumSize(QSize(450, 200));
        vboxLayout = new QVBoxLayout(PreferencesDlg);
        vboxLayout->setSpacing(6);
        vboxLayout->setMargin(11);
        vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
        gridLayout = new QGridLayout();
        gridLayout->setSpacing(6);
        gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
        hboxLayout = new QHBoxLayout();
        hboxLayout->setSpacing(6);
        hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
        spacer4 = new QSpacerItem(191, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout->addItem(spacer4);

        idleTimeBox = new QSpinBox(PreferencesDlg);
        idleTimeBox->setObjectName(QString::fromUtf8("idleTimeBox"));
        idleTimeBox->setSingleStep(1);
        idleTimeBox->setValue(2);

        hboxLayout->addWidget(idleTimeBox);


        gridLayout->addLayout(hboxLayout, 4, 1, 1, 1);

        hboxLayout1 = new QHBoxLayout();
        hboxLayout1->setSpacing(6);
        hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
        spacer41 = new QSpacerItem(191, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout1->addItem(spacer41);

        clearTimeBox = new QSpinBox(PreferencesDlg);
        clearTimeBox->setObjectName(QString::fromUtf8("clearTimeBox"));
        clearTimeBox->setSingleStep(1);
        clearTimeBox->setValue(60);

        hboxLayout1->addWidget(clearTimeBox);


        gridLayout->addLayout(hboxLayout1, 5, 1, 1, 1);

        textLabel6 = new QLabel(PreferencesDlg);
        textLabel6->setObjectName(QString::fromUtf8("textLabel6"));
        textLabel6->setWordWrap(false);

        gridLayout->addWidget(textLabel6, 0, 0, 1, 1);

        hboxLayout2 = new QHBoxLayout();
        hboxLayout2->setSpacing(6);
        hboxLayout2->setObjectName(QString::fromUtf8("hboxLayout2"));
        defaultSafeBox = new QLineEdit(PreferencesDlg);
        defaultSafeBox->setObjectName(QString::fromUtf8("defaultSafeBox"));

        hboxLayout2->addWidget(defaultSafeBox);

        browseButton = new QPushButton(PreferencesDlg);
        browseButton->setObjectName(QString::fromUtf8("browseButton"));
        browseButton->setIcon(QPixmap(qPixmapFromMimeSource(":/images/fileopen.png")));
        browseButton->setAutoDefault(false);

        hboxLayout2->addWidget(browseButton);


        gridLayout->addLayout(hboxLayout2, 0, 1, 1, 1);

        textLabel1 = new QLabel(PreferencesDlg);
        textLabel1->setObjectName(QString::fromUtf8("textLabel1"));
        textLabel1->setWordWrap(false);

        gridLayout->addWidget(textLabel1, 2, 0, 1, 1);

        hboxLayout3 = new QHBoxLayout();
        hboxLayout3->setSpacing(6);
        hboxLayout3->setObjectName(QString::fromUtf8("hboxLayout3"));
        spacer10 = new QSpacerItem(81, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout3->addItem(spacer10);

        pwordLengthBox = new QSpinBox(PreferencesDlg);
        pwordLengthBox->setObjectName(QString::fromUtf8("pwordLengthBox"));
        pwordLengthBox->setMinimum(4);
        pwordLengthBox->setValue(8);

        hboxLayout3->addWidget(pwordLengthBox);


        gridLayout->addLayout(hboxLayout3, 2, 1, 1, 1);

        defUserBox = new QLineEdit(PreferencesDlg);
        defUserBox->setObjectName(QString::fromUtf8("defUserBox"));

        gridLayout->addWidget(defUserBox, 1, 1, 1, 1);

        hboxLayout4 = new QHBoxLayout();
        hboxLayout4->setSpacing(6);
        hboxLayout4->setObjectName(QString::fromUtf8("hboxLayout4"));
        spacer11 = new QSpacerItem(71, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout4->addItem(spacer11);

        maxTriesBox = new QSpinBox(PreferencesDlg);
        maxTriesBox->setObjectName(QString::fromUtf8("maxTriesBox"));
        maxTriesBox->setMaximum(10);
        maxTriesBox->setValue(3);

        hboxLayout4->addWidget(maxTriesBox);


        gridLayout->addLayout(hboxLayout4, 3, 1, 1, 1);

        textLabel1_3 = new QLabel(PreferencesDlg);
        textLabel1_3->setObjectName(QString::fromUtf8("textLabel1_3"));
        textLabel1_3->setWordWrap(false);

        gridLayout->addWidget(textLabel1_3, 4, 0, 1, 1);

        textLabel1_4 = new QLabel(PreferencesDlg);
        textLabel1_4->setObjectName(QString::fromUtf8("textLabel1_4"));
        textLabel1_4->setWordWrap(false);

        gridLayout->addWidget(textLabel1_4, 5, 0, 1, 1);

        textLabel7 = new QLabel(PreferencesDlg);
        textLabel7->setObjectName(QString::fromUtf8("textLabel7"));
        textLabel7->setWordWrap(false);

        gridLayout->addWidget(textLabel7, 1, 0, 1, 1);

        textLabel1_2 = new QLabel(PreferencesDlg);
        textLabel1_2->setObjectName(QString::fromUtf8("textLabel1_2"));
        textLabel1_2->setWordWrap(false);

        gridLayout->addWidget(textLabel1_2, 3, 0, 1, 1);


        vboxLayout->addLayout(gridLayout);

        hboxLayout5 = new QHBoxLayout();
        hboxLayout5->setSpacing(6);
        hboxLayout5->setObjectName(QString::fromUtf8("hboxLayout5"));
        helpButton = new QPushButton(PreferencesDlg);
        helpButton->setObjectName(QString::fromUtf8("helpButton"));
        const QIcon icon = QIcon(qPixmapFromMimeSource(":/images/help.png"));
        helpButton->setIcon(icon);

        hboxLayout5->addWidget(helpButton);

        spacer9 = new QSpacerItem(101, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout5->addItem(spacer9);

        cancelButton = new QPushButton(PreferencesDlg);
        cancelButton->setObjectName(QString::fromUtf8("cancelButton"));
        const QIcon icon1 = QIcon(qPixmapFromMimeSource(":/images/button_cancel.png"));
        cancelButton->setIcon(icon1);

        hboxLayout5->addWidget(cancelButton);

        okButton = new QPushButton(PreferencesDlg);
        okButton->setObjectName(QString::fromUtf8("okButton"));
        okButton->setDefault(true);
        const QIcon icon2 = QIcon(qPixmapFromMimeSource(":/images/button_ok.png"));
        okButton->setIcon(icon2);

        hboxLayout5->addWidget(okButton);


        vboxLayout->addLayout(hboxLayout5);

#ifndef QT_NO_SHORTCUT
        textLabel6->setBuddy(defaultSafeBox);
        textLabel1->setBuddy(pwordLengthBox);
        textLabel7->setBuddy(defUserBox);
        textLabel1_2->setBuddy(maxTriesBox);
#endif // QT_NO_SHORTCUT
        QWidget::setTabOrder(defaultSafeBox, browseButton);
        QWidget::setTabOrder(browseButton, defUserBox);
        QWidget::setTabOrder(defUserBox, pwordLengthBox);
        QWidget::setTabOrder(pwordLengthBox, maxTriesBox);
        QWidget::setTabOrder(maxTriesBox, okButton);
        QWidget::setTabOrder(okButton, cancelButton);
        QWidget::setTabOrder(cancelButton, helpButton);

        retranslateUi(PreferencesDlg);
        QObject::connect(okButton, SIGNAL(clicked()), PreferencesDlg, SLOT(accept()));
        QObject::connect(cancelButton, SIGNAL(clicked()), PreferencesDlg, SLOT(reject()));
        QObject::connect(helpButton, SIGNAL(clicked()), PreferencesDlg, SLOT(onHelp()));
        QObject::connect(browseButton, SIGNAL(clicked()), PreferencesDlg, SLOT(onBrowse()));

        QMetaObject::connectSlotsByName(PreferencesDlg);
    } // setupUi

    void retranslateUi(QDialog *PreferencesDlg)
    {
        PreferencesDlg->setWindowTitle(QApplication::translate("PreferencesDlg", "Preferences", 0, QApplication::UnicodeUTF8));
        idleTimeBox->setSuffix(QApplication::translate("PreferencesDlg", " minutes", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_WHATSTHIS
        idleTimeBox->setProperty("whatsThis", QVariant(QApplication::translate("PreferencesDlg", "MyPasswordSafe will lock if your computer is idle for the number of minutes you specify here.", 0, QApplication::UnicodeUTF8)));
#endif // QT_NO_WHATSTHIS
        clearTimeBox->setSuffix(QApplication::translate("PreferencesDlg", " seconds", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_WHATSTHIS
        clearTimeBox->setProperty("whatsThis", QVariant(QApplication::translate("PreferencesDlg", "MyPasswordSafe will clear the clipboard after this many seconds.", 0, QApplication::UnicodeUTF8)));
#endif // QT_NO_WHATSTHIS
        textLabel6->setText(QApplication::translate("PreferencesDlg", "Default &Safe:", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_WHATSTHIS
        textLabel6->setProperty("whatsThis", QVariant(QApplication::translate("PreferencesDlg", "The active safe is the safe that MyPasswordSafe tries to open on startup.", 0, QApplication::UnicodeUTF8)));
#endif // QT_NO_WHATSTHIS
#ifndef QT_NO_WHATSTHIS
        defaultSafeBox->setProperty("whatsThis", QVariant(QApplication::translate("PreferencesDlg", "Enter the pathname to the safe that you want to be opened on startup here.", 0, QApplication::UnicodeUTF8)));
#endif // QT_NO_WHATSTHIS
        browseButton->setText(QString());
#ifndef QT_NO_TOOLTIP
        browseButton->setProperty("toolTip", QVariant(QApplication::translate("PreferencesDlg", "Browse", 0, QApplication::UnicodeUTF8)));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_WHATSTHIS
        browseButton->setProperty("whatsThis", QVariant(QApplication::translate("PreferencesDlg", "Click here to browse for the file that you want to use as the active safe.", 0, QApplication::UnicodeUTF8)));
#endif // QT_NO_WHATSTHIS
        textLabel1->setText(QApplication::translate("PreferencesDlg", "Generated Password &Length:", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_WHATSTHIS
        textLabel1->setProperty("whatsThis", QVariant(QApplication::translate("PreferencesDlg", "The generated password length sets the length of the passwords generated by the Generate button in the password edit dialog.", 0, QApplication::UnicodeUTF8)));
#endif // QT_NO_WHATSTHIS
#ifndef QT_NO_WHATSTHIS
        pwordLengthBox->setProperty("whatsThis", QVariant(QApplication::translate("PreferencesDlg", "Enter the number of characters you want generated passwords to use.", 0, QApplication::UnicodeUTF8)));
#endif // QT_NO_WHATSTHIS
#ifndef QT_NO_WHATSTHIS
        defUserBox->setProperty("whatsThis", QVariant(QApplication::translate("PreferencesDlg", "Enter the user name that you want MyPasswordSafe to automatically use when a new password is added.", 0, QApplication::UnicodeUTF8)));
#endif // QT_NO_WHATSTHIS
#ifndef QT_NO_WHATSTHIS
        maxTriesBox->setProperty("whatsThis", QVariant(QApplication::translate("PreferencesDlg", "This is the number of tries you have at guessing your pass-phrase before MyPasswordSafe gives up.", 0, QApplication::UnicodeUTF8)));
#endif // QT_NO_WHATSTHIS
        textLabel1_3->setText(QApplication::translate("PreferencesDlg", "Lock after:", 0, QApplication::UnicodeUTF8));
        textLabel1_4->setText(QApplication::translate("PreferencesDlg", "Clear clipboard after:", 0, QApplication::UnicodeUTF8));
        textLabel7->setText(QApplication::translate("PreferencesDlg", "Default &Username:", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_WHATSTHIS
        textLabel7->setProperty("whatsThis", QVariant(QApplication::translate("PreferencesDlg", "The default username is the username used when a new password is created.", 0, QApplication::UnicodeUTF8)));
#endif // QT_NO_WHATSTHIS
        textLabel1_2->setText(QApplication::translate("PreferencesDlg", "Number of &Guesses:", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_WHATSTHIS
        textLabel1_2->setProperty("whatsThis", QVariant(QApplication::translate("PreferencesDlg", "This is the number of tries you have at guessing your pass-phrase before MyPasswordSafe gives up.", 0, QApplication::UnicodeUTF8)));
#endif // QT_NO_WHATSTHIS
        helpButton->setText(QApplication::translate("PreferencesDlg", "&Help", 0, QApplication::UnicodeUTF8));
        helpButton->setShortcut(QApplication::translate("PreferencesDlg", "Alt+H", 0, QApplication::UnicodeUTF8));
        cancelButton->setText(QApplication::translate("PreferencesDlg", "&Cancel", 0, QApplication::UnicodeUTF8));
        cancelButton->setShortcut(QApplication::translate("PreferencesDlg", "Alt+C", 0, QApplication::UnicodeUTF8));
        okButton->setText(QApplication::translate("PreferencesDlg", "&Ok", 0, QApplication::UnicodeUTF8));
        okButton->setShortcut(QApplication::translate("PreferencesDlg", "Alt+O", 0, QApplication::UnicodeUTF8));
        Q_UNUSED(PreferencesDlg);
    } // retranslateUi

};

namespace Ui {
    class PreferencesDlg: public Ui_PreferencesDlg {};
} // namespace Ui

QT_END_NAMESPACE

class PreferencesDlg : public QDialog, public Ui::PreferencesDlg
{
    Q_OBJECT

public:
    PreferencesDlg(QWidget* parent = 0, const char* name = 0, bool modal = false, Qt::WindowFlags fl = 0);
    ~PreferencesDlg();

    virtual QString getDefUser();
    virtual QString getDefaultSafe();
    virtual void setDefUser( const QString & user );
    virtual int getGenPwordLength();
    virtual void setGenPwordLength( int length );
    virtual int getMaxTries();
    virtual int getIdleTime();
    virtual int getClearTime();

public slots:
    virtual void onBrowse();
    virtual void setDefaultSafe( const QString & safe );
    virtual void setMaxTries( int tries );
    virtual void setIdleTime(int);
    virtual void setClearTime(int);
    virtual void onHelp();

protected slots:
    virtual void languageChange();

};

#endif // PREFERENCESDLG_H
