#ifndef PWORDEDITDLG_H
#define PWORDEDITDLG_H

#include <qvariant.h>

class SafeEntry;
class SafeGroup;

#include <Qt3Support/Q3MimeSourceFactory>
#include <Qt3Support/Q3TextEdit>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QHeaderView>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QTabWidget>
#include <QtGui/QVBoxLayout>
#include <QtGui/QWidget>
#include <time.h>

QT_BEGIN_NAMESPACE

class Ui_PwordEditDlg
{
public:
    QVBoxLayout *vboxLayout;
    QTabWidget *tabWidget;
    QWidget *tab;
    QHBoxLayout *hboxLayout;
    QVBoxLayout *vboxLayout1;
    QGridLayout *gridLayout;
    QLineEdit *passwordEdit;
    QLabel *textLabel1;
    QLabel *textLabel2;
    QLabel *textLabel3;
    QLineEdit *userEdit;
    QLineEdit *nameEdit;
    QVBoxLayout *vboxLayout2;
    QLabel *textLabel4;
    Q3TextEdit *notesEdit;
    QVBoxLayout *vboxLayout3;
    QPushButton *showButton;
    QPushButton *fetchButton;
    QPushButton *genButton;
    QSpacerItem *spacer4_2;
    QWidget *tab1;
    QVBoxLayout *vboxLayout4;
    QLabel *createdOnLabel;
    QLabel *accessedOnLabel;
    QLabel *modifiedOnLabel;
    QLabel *lifetimeLabel;
    QLabel *uuidLabel;
    QHBoxLayout *hboxLayout1;
    QSpacerItem *spacer5;
    QPushButton *cancelButton;
    QPushButton *okButton;

    void setupUi(QDialog *PwordEditDlg)
    {
        if (PwordEditDlg->objectName().isEmpty())
            PwordEditDlg->setObjectName(QString::fromUtf8("PwordEditDlg"));
        PwordEditDlg->resize(400, 351);
        QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(0), static_cast<QSizePolicy::Policy>(0));
        sizePolicy.setHorizontalStretch(0);
        sizePolicy.setVerticalStretch(0);
        sizePolicy.setHeightForWidth(PwordEditDlg->sizePolicy().hasHeightForWidth());
        PwordEditDlg->setSizePolicy(sizePolicy);
        PwordEditDlg->setMinimumSize(QSize(400, 350));
        vboxLayout = new QVBoxLayout(PwordEditDlg);
        vboxLayout->setSpacing(6);
        vboxLayout->setMargin(11);
        vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
        tabWidget = new QTabWidget(PwordEditDlg);
        tabWidget->setObjectName(QString::fromUtf8("tabWidget"));
        tab = new QWidget();
        tab->setObjectName(QString::fromUtf8("tab"));
        hboxLayout = new QHBoxLayout(tab);
        hboxLayout->setSpacing(6);
        hboxLayout->setMargin(11);
        hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
        vboxLayout1 = new QVBoxLayout();
        vboxLayout1->setSpacing(6);
        vboxLayout1->setObjectName(QString::fromUtf8("vboxLayout1"));
        gridLayout = new QGridLayout();
        gridLayout->setSpacing(6);
        gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
        passwordEdit = new QLineEdit(tab);
        passwordEdit->setObjectName(QString::fromUtf8("passwordEdit"));
        passwordEdit->setEchoMode(QLineEdit::Password);

        gridLayout->addWidget(passwordEdit, 2, 1, 1, 1);

        textLabel1 = new QLabel(tab);
        textLabel1->setObjectName(QString::fromUtf8("textLabel1"));
        textLabel1->setWordWrap(false);

        gridLayout->addWidget(textLabel1, 0, 0, 1, 1);

        textLabel2 = new QLabel(tab);
        textLabel2->setObjectName(QString::fromUtf8("textLabel2"));
        textLabel2->setWordWrap(false);

        gridLayout->addWidget(textLabel2, 1, 0, 1, 1);

        textLabel3 = new QLabel(tab);
        textLabel3->setObjectName(QString::fromUtf8("textLabel3"));
        textLabel3->setWordWrap(false);

        gridLayout->addWidget(textLabel3, 2, 0, 1, 1);

        userEdit = new QLineEdit(tab);
        userEdit->setObjectName(QString::fromUtf8("userEdit"));

        gridLayout->addWidget(userEdit, 1, 1, 1, 1);

        nameEdit = new QLineEdit(tab);
        nameEdit->setObjectName(QString::fromUtf8("nameEdit"));

        gridLayout->addWidget(nameEdit, 0, 1, 1, 1);


        vboxLayout1->addLayout(gridLayout);

        vboxLayout2 = new QVBoxLayout();
        vboxLayout2->setSpacing(6);
        vboxLayout2->setObjectName(QString::fromUtf8("vboxLayout2"));
        textLabel4 = new QLabel(tab);
        textLabel4->setObjectName(QString::fromUtf8("textLabel4"));
        textLabel4->setWordWrap(false);

        vboxLayout2->addWidget(textLabel4);

        notesEdit = new Q3TextEdit(tab);
        notesEdit->setObjectName(QString::fromUtf8("notesEdit"));

        vboxLayout2->addWidget(notesEdit);


        vboxLayout1->addLayout(vboxLayout2);


        hboxLayout->addLayout(vboxLayout1);

        vboxLayout3 = new QVBoxLayout();
        vboxLayout3->setSpacing(6);
        vboxLayout3->setObjectName(QString::fromUtf8("vboxLayout3"));
        showButton = new QPushButton(tab);
        showButton->setObjectName(QString::fromUtf8("showButton"));

        vboxLayout3->addWidget(showButton);

        fetchButton = new QPushButton(tab);
        fetchButton->setObjectName(QString::fromUtf8("fetchButton"));

        vboxLayout3->addWidget(fetchButton);

        genButton = new QPushButton(tab);
        genButton->setObjectName(QString::fromUtf8("genButton"));

        vboxLayout3->addWidget(genButton);

        spacer4_2 = new QSpacerItem(20, 119, QSizePolicy::Minimum, QSizePolicy::Expanding);

        vboxLayout3->addItem(spacer4_2);


        hboxLayout->addLayout(vboxLayout3);

        tabWidget->addTab(tab, QString());
        tab1 = new QWidget();
        tab1->setObjectName(QString::fromUtf8("tab1"));
        vboxLayout4 = new QVBoxLayout(tab1);
        vboxLayout4->setSpacing(6);
        vboxLayout4->setMargin(11);
        vboxLayout4->setObjectName(QString::fromUtf8("vboxLayout4"));
        createdOnLabel = new QLabel(tab1);
        createdOnLabel->setObjectName(QString::fromUtf8("createdOnLabel"));
        createdOnLabel->setWordWrap(false);

        vboxLayout4->addWidget(createdOnLabel);

        accessedOnLabel = new QLabel(tab1);
        accessedOnLabel->setObjectName(QString::fromUtf8("accessedOnLabel"));
        accessedOnLabel->setWordWrap(false);

        vboxLayout4->addWidget(accessedOnLabel);

        modifiedOnLabel = new QLabel(tab1);
        modifiedOnLabel->setObjectName(QString::fromUtf8("modifiedOnLabel"));
        modifiedOnLabel->setWordWrap(false);

        vboxLayout4->addWidget(modifiedOnLabel);

        lifetimeLabel = new QLabel(tab1);
        lifetimeLabel->setObjectName(QString::fromUtf8("lifetimeLabel"));
        lifetimeLabel->setWordWrap(false);

        vboxLayout4->addWidget(lifetimeLabel);

        uuidLabel = new QLabel(tab1);
        uuidLabel->setObjectName(QString::fromUtf8("uuidLabel"));
        uuidLabel->setWordWrap(false);

        vboxLayout4->addWidget(uuidLabel);

        tabWidget->addTab(tab1, QString());

        vboxLayout->addWidget(tabWidget);

        hboxLayout1 = new QHBoxLayout();
        hboxLayout1->setSpacing(6);
        hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
        spacer5 = new QSpacerItem(248, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout1->addItem(spacer5);

        cancelButton = new QPushButton(PwordEditDlg);
        cancelButton->setObjectName(QString::fromUtf8("cancelButton"));
        const QIcon icon = QIcon(qPixmapFromMimeSource(":/images/button_cancel.png"));
        cancelButton->setIcon(icon);

        hboxLayout1->addWidget(cancelButton);

        okButton = new QPushButton(PwordEditDlg);
        okButton->setObjectName(QString::fromUtf8("okButton"));
        okButton->setDefault(true);
        const QIcon icon1 = QIcon(qPixmapFromMimeSource(":/images/button_ok.png"));
        okButton->setIcon(icon1);

        hboxLayout1->addWidget(okButton);


        vboxLayout->addLayout(hboxLayout1);

#ifndef QT_NO_SHORTCUT
        textLabel1->setBuddy(nameEdit);
        textLabel2->setBuddy(userEdit);
        textLabel3->setBuddy(passwordEdit);
        textLabel4->setBuddy(notesEdit);
#endif // QT_NO_SHORTCUT
        QWidget::setTabOrder(nameEdit, userEdit);
        QWidget::setTabOrder(userEdit, passwordEdit);
        QWidget::setTabOrder(passwordEdit, notesEdit);
        QWidget::setTabOrder(notesEdit, showButton);
        QWidget::setTabOrder(showButton, fetchButton);
        QWidget::setTabOrder(fetchButton, genButton);
        QWidget::setTabOrder(genButton, cancelButton);
        QWidget::setTabOrder(cancelButton, okButton);
        QWidget::setTabOrder(okButton, tabWidget);

        retranslateUi(PwordEditDlg);
        QObject::connect(cancelButton, SIGNAL(clicked()), PwordEditDlg, SLOT(reject()));
        QObject::connect(okButton, SIGNAL(clicked()), PwordEditDlg, SLOT(accept()));
        QObject::connect(showButton, SIGNAL(clicked()), PwordEditDlg, SLOT(togglePassword()));
        QObject::connect(fetchButton, SIGNAL(clicked()), PwordEditDlg, SLOT(fetchPassword()));
        QObject::connect(genButton, SIGNAL(clicked()), PwordEditDlg, SLOT(genPassword()));

        QMetaObject::connectSlotsByName(PwordEditDlg);
    } // setupUi

    void retranslateUi(QDialog *PwordEditDlg)
    {
        PwordEditDlg->setWindowTitle(QApplication::translate("PwordEditDlg", "Edit Password", 0, QApplication::UnicodeUTF8));
        textLabel1->setText(QApplication::translate("PwordEditDlg", "&Name:", 0, QApplication::UnicodeUTF8));
        textLabel2->setText(QApplication::translate("PwordEditDlg", "&User:", 0, QApplication::UnicodeUTF8));
        textLabel3->setText(QApplication::translate("PwordEditDlg", "&Password:", 0, QApplication::UnicodeUTF8));
        textLabel4->setText(QApplication::translate("PwordEditDlg", "No&tes:", 0, QApplication::UnicodeUTF8));
        showButton->setText(QApplication::translate("PwordEditDlg", "&Show", 0, QApplication::UnicodeUTF8));
        showButton->setShortcut(QApplication::translate("PwordEditDlg", "Alt+S", 0, QApplication::UnicodeUTF8));
        fetchButton->setText(QApplication::translate("PwordEditDlg", "&Fetch", 0, QApplication::UnicodeUTF8));
        fetchButton->setShortcut(QApplication::translate("PwordEditDlg", "Alt+F", 0, QApplication::UnicodeUTF8));
        genButton->setText(QApplication::translate("PwordEditDlg", "&Generate", 0, QApplication::UnicodeUTF8));
        genButton->setShortcut(QApplication::translate("PwordEditDlg", "Alt+G", 0, QApplication::UnicodeUTF8));
        tabWidget->setTabText(tabWidget->indexOf(tab), QApplication::translate("PwordEditDlg", "G&eneral", 0, QApplication::UnicodeUTF8));
        createdOnLabel->setText(QApplication::translate("PwordEditDlg", "Created on: %1", 0, QApplication::UnicodeUTF8));
        accessedOnLabel->setText(QApplication::translate("PwordEditDlg", "Accessed on: %1", 0, QApplication::UnicodeUTF8));
        modifiedOnLabel->setText(QApplication::translate("PwordEditDlg", "Modified on: %1", 0, QApplication::UnicodeUTF8));
        lifetimeLabel->setText(QApplication::translate("PwordEditDlg", "Lifetime: %1", 0, QApplication::UnicodeUTF8));
        uuidLabel->setText(QApplication::translate("PwordEditDlg", "UUID: %1", 0, QApplication::UnicodeUTF8));
        tabWidget->setTabText(tabWidget->indexOf(tab1), QApplication::translate("PwordEditDlg", "&Details", 0, QApplication::UnicodeUTF8));
        cancelButton->setText(QApplication::translate("PwordEditDlg", "&Cancel", 0, QApplication::UnicodeUTF8));
        cancelButton->setShortcut(QApplication::translate("PwordEditDlg", "Alt+C", 0, QApplication::UnicodeUTF8));
        okButton->setText(QApplication::translate("PwordEditDlg", "&Ok", 0, QApplication::UnicodeUTF8));
        okButton->setShortcut(QApplication::translate("PwordEditDlg", "Alt+O", 0, QApplication::UnicodeUTF8));
        Q_UNUSED(PwordEditDlg);
    } // retranslateUi

};

namespace Ui {
    class PwordEditDlg: public Ui_PwordEditDlg {};
} // namespace Ui

QT_END_NAMESPACE

class PwordEditDlg : public QDialog, public Ui::PwordEditDlg
{
    Q_OBJECT

public:
    PwordEditDlg(QWidget* parent = 0, const char* name = 0, bool modal = false, Qt::WindowFlags fl = 0);
    ~PwordEditDlg();

    static int gen_pword_length;
    static QString default_user;

    virtual SafeEntry * getItem() const;
    virtual void setItem(SafeEntry *, SafeGroup *future_group = NULL);
    virtual QString getItemName() const;
    virtual QString getUser() const;
    virtual QString getPassword() const;
    virtual QString getNotes() const;
    virtual void setItemName( const QString & text );
    virtual void setUser( const QString & text );
    virtual void setPassword( const QString & text );
    virtual void setNotes( const QString & text );
    virtual void setGenPwordLength( int value );
    virtual void setCreatedOn( const QDateTime & time );
    virtual void setAccessedOn( const QDateTime & time );
    virtual void setModifiedOn( const QDateTime & time );
    virtual void setLifetime( const QTime & time );
    virtual void setUUID( const QString & uuid );
    virtual void showDetails( bool yes );
    virtual bool detailsShown() const;
    virtual bool isNew() const;
    static bool generateAndShow();
    static bool generateAndFetch();
    static bool generateOnNew();

public slots:
    virtual void showPassword();
    virtual void hidePassword();
    virtual void togglePassword();
    virtual void genPassword();
    virtual void genPassword(bool);
    virtual void fetchPassword();
    virtual void accept();
    virtual void reject();
    static void setGenerateAndShow(bool);
    static void setGenerateAndFetch(bool);
    static void setGenerateOnNew(bool);

signals:
    void accepted();
    void rejected();

protected slots:
    virtual void languageChange();

private:
    SafeEntry *m_item;
    SafeGroup *m_future_group;
    static bool generate_and_show;
    static bool generate_and_fetch;
    static bool generate_on_new;

    void init();
    virtual void updateItem(SafeGroup *future_group = NULL);

};

#endif // PWORDEDITDLG_H
