#ifndef STARTUPDLGBASE_H
#define STARTUPDLGBASE_H

#include <qvariant.h>

class MyPasswordSafe;

#include <Qt3Support/Q3MimeSourceFactory>
#include <Qt3Support/Q3WidgetStack>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QComboBox>
#include <QtGui/QDialog>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QHeaderView>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QVBoxLayout>
#include <QtGui/QWidget>

QT_BEGIN_NAMESPACE

class Ui_StartupDlgBase
{
public:
    QVBoxLayout *vboxLayout;
    QLabel *pixmapLabel2;
    QHBoxLayout *hboxLayout;
    QLabel *textLabel2;
    QComboBox *actionBox;
    Q3WidgetStack *passPhraseStack;
    QWidget *passPhrase;
    QGridLayout *gridLayout;
    QLineEdit *passPhraseBox;
    QHBoxLayout *hboxLayout1;
    QLabel *pixmapLabel1;
    QLabel *openLabel;
    QWidget *newPassPhrase;
    QGridLayout *gridLayout1;
    QLineEdit *newPassPhraseBox;
    QLineEdit *verifyBox;
    QLabel *textLabel2_2;
    QLabel *textLabel3;
    QHBoxLayout *hboxLayout2;
    QLabel *versionLabel;
    QSpacerItem *spacer2;
    QPushButton *quitButton;
    QPushButton *okButton;

    void setupUi(QDialog *StartupDlgBase)
    {
        if (StartupDlgBase->objectName().isEmpty())
            StartupDlgBase->setObjectName(QString::fromUtf8("StartupDlgBase"));
        StartupDlgBase->resize(385, 285);
        StartupDlgBase->setMinimumSize(QSize(385, 285));
        StartupDlgBase->setMaximumSize(QSize(385, 285));
        StartupDlgBase->setWindowIcon(QPixmap(qPixmapFromMimeSource(":/images/keys.png")));
        vboxLayout = new QVBoxLayout(StartupDlgBase);
        vboxLayout->setSpacing(6);
        vboxLayout->setMargin(11);
        vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
        pixmapLabel2 = new QLabel(StartupDlgBase);
        pixmapLabel2->setObjectName(QString::fromUtf8("pixmapLabel2"));
        pixmapLabel2->setFrameShape(QFrame::Panel);
        pixmapLabel2->setFrameShadow(QFrame::Sunken);
        pixmapLabel2->setPixmap(QPixmap(qPixmapFromMimeSource(":/images/about_banner.png")));
        pixmapLabel2->setScaledContents(true);
        pixmapLabel2->setWordWrap(false);

        vboxLayout->addWidget(pixmapLabel2);

        hboxLayout = new QHBoxLayout();
        hboxLayout->setSpacing(6);
        hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
        textLabel2 = new QLabel(StartupDlgBase);
        textLabel2->setObjectName(QString::fromUtf8("textLabel2"));
        textLabel2->setWordWrap(false);

        hboxLayout->addWidget(textLabel2);

        actionBox = new QComboBox(StartupDlgBase);
        actionBox->setObjectName(QString::fromUtf8("actionBox"));

        hboxLayout->addWidget(actionBox);


        vboxLayout->addLayout(hboxLayout);

        passPhraseStack = new Q3WidgetStack(StartupDlgBase);
        passPhraseStack->setObjectName(QString::fromUtf8("passPhraseStack"));
        passPhrase = new QWidget(passPhraseStack);
        passPhrase->setObjectName(QString::fromUtf8("passPhrase"));
        gridLayout = new QGridLayout(passPhrase);
        gridLayout->setSpacing(6);
        gridLayout->setMargin(0);
        gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
        gridLayout->setContentsMargins(0, 0, 0, 0);
        passPhraseBox = new QLineEdit(passPhrase);
        passPhraseBox->setObjectName(QString::fromUtf8("passPhraseBox"));
        passPhraseBox->setEchoMode(QLineEdit::Password);

        gridLayout->addWidget(passPhraseBox, 1, 0, 1, 1);

        hboxLayout1 = new QHBoxLayout();
        hboxLayout1->setSpacing(6);
        hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
        pixmapLabel1 = new QLabel(passPhrase);
        pixmapLabel1->setObjectName(QString::fromUtf8("pixmapLabel1"));
        QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(0), static_cast<QSizePolicy::Policy>(0));
        sizePolicy.setHorizontalStretch(0);
        sizePolicy.setVerticalStretch(0);
        sizePolicy.setHeightForWidth(pixmapLabel1->sizePolicy().hasHeightForWidth());
        pixmapLabel1->setSizePolicy(sizePolicy);
        pixmapLabel1->setPixmap(QPixmap(qPixmapFromMimeSource(":/images/keys.png")));
        pixmapLabel1->setScaledContents(true);
        pixmapLabel1->setWordWrap(false);

        hboxLayout1->addWidget(pixmapLabel1);

        openLabel = new QLabel(passPhrase);
        openLabel->setObjectName(QString::fromUtf8("openLabel"));
        openLabel->setAlignment(Qt::AlignVCenter);
        openLabel->setWordWrap(true);

        hboxLayout1->addWidget(openLabel);


        gridLayout->addLayout(hboxLayout1, 0, 0, 1, 1);

        passPhraseStack->addWidget(passPhrase, 0);
        newPassPhrase = new QWidget(passPhraseStack);
        newPassPhrase->setObjectName(QString::fromUtf8("newPassPhrase"));
        gridLayout1 = new QGridLayout(newPassPhrase);
        gridLayout1->setSpacing(6);
        gridLayout1->setMargin(0);
        gridLayout1->setObjectName(QString::fromUtf8("gridLayout1"));
        gridLayout1->setContentsMargins(0, 0, 0, 0);
        newPassPhraseBox = new QLineEdit(newPassPhrase);
        newPassPhraseBox->setObjectName(QString::fromUtf8("newPassPhraseBox"));
        newPassPhraseBox->setEchoMode(QLineEdit::Password);

        gridLayout1->addWidget(newPassPhraseBox, 0, 1, 1, 1);

        verifyBox = new QLineEdit(newPassPhrase);
        verifyBox->setObjectName(QString::fromUtf8("verifyBox"));
        verifyBox->setEchoMode(QLineEdit::Password);

        gridLayout1->addWidget(verifyBox, 1, 1, 1, 1);

        textLabel2_2 = new QLabel(newPassPhrase);
        textLabel2_2->setObjectName(QString::fromUtf8("textLabel2_2"));
        textLabel2_2->setWordWrap(false);

        gridLayout1->addWidget(textLabel2_2, 0, 0, 1, 1);

        textLabel3 = new QLabel(newPassPhrase);
        textLabel3->setObjectName(QString::fromUtf8("textLabel3"));
        textLabel3->setWordWrap(false);

        gridLayout1->addWidget(textLabel3, 1, 0, 1, 1);

        passPhraseStack->addWidget(newPassPhrase, 1);

        vboxLayout->addWidget(passPhraseStack);

        hboxLayout2 = new QHBoxLayout();
        hboxLayout2->setSpacing(6);
        hboxLayout2->setObjectName(QString::fromUtf8("hboxLayout2"));
        versionLabel = new QLabel(StartupDlgBase);
        versionLabel->setObjectName(QString::fromUtf8("versionLabel"));
        versionLabel->setWordWrap(false);

        hboxLayout2->addWidget(versionLabel);

        spacer2 = new QSpacerItem(149, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout2->addItem(spacer2);

        quitButton = new QPushButton(StartupDlgBase);
        quitButton->setObjectName(QString::fromUtf8("quitButton"));
        const QIcon icon = QIcon(qPixmapFromMimeSource(":/images/exit.png"));
        quitButton->setIcon(icon);

        hboxLayout2->addWidget(quitButton);

        okButton = new QPushButton(StartupDlgBase);
        okButton->setObjectName(QString::fromUtf8("okButton"));
        okButton->setDefault(true);
        const QIcon icon1 = QIcon(qPixmapFromMimeSource(":/images/button_ok.png"));
        okButton->setIcon(icon1);

        hboxLayout2->addWidget(okButton);


        vboxLayout->addLayout(hboxLayout2);

#ifndef QT_NO_SHORTCUT
        textLabel2->setBuddy(actionBox);
        openLabel->setBuddy(passPhraseBox);
        textLabel2_2->setBuddy(passPhraseBox);
        textLabel3->setBuddy(verifyBox);
#endif // QT_NO_SHORTCUT
        QWidget::setTabOrder(passPhraseBox, newPassPhraseBox);
        QWidget::setTabOrder(newPassPhraseBox, verifyBox);
        QWidget::setTabOrder(verifyBox, actionBox);
        QWidget::setTabOrder(actionBox, okButton);
        QWidget::setTabOrder(okButton, quitButton);

        retranslateUi(StartupDlgBase);
        QObject::connect(quitButton, SIGNAL(clicked()), StartupDlgBase, SLOT(reject()));
        QObject::connect(okButton, SIGNAL(clicked()), StartupDlgBase, SLOT(okClicked()));
        QObject::connect(actionBox, SIGNAL(activated(int)), StartupDlgBase, SLOT(actionChanged(int)));

        QMetaObject::connectSlotsByName(StartupDlgBase);
    } // setupUi

    void retranslateUi(QDialog *StartupDlgBase)
    {
        StartupDlgBase->setWindowTitle(QApplication::translate("StartupDlgBase", "Welcome to MyPasswordSafe", 0, QApplication::UnicodeUTF8));
        textLabel2->setText(QApplication::translate("StartupDlgBase", "&What would you like to do?", 0, QApplication::UnicodeUTF8));
        actionBox->clear();
        actionBox->insertItems(0, QStringList()
         << QApplication::translate("StartupDlgBase", "Open default safe", 0, QApplication::UnicodeUTF8)
         << QApplication::translate("StartupDlgBase", "Browse", 0, QApplication::UnicodeUTF8)
         << QApplication::translate("StartupDlgBase", "Create new safe", 0, QApplication::UnicodeUTF8)
        );
        openLabel->setText(QApplication::translate("StartupDlgBase", "What's the &pass-phrase for %1?", 0, QApplication::UnicodeUTF8));
        textLabel2_2->setText(QApplication::translate("StartupDlgBase", "&Pass-phrase:", 0, QApplication::UnicodeUTF8));
        textLabel3->setText(QApplication::translate("StartupDlgBase", "&Verify:", 0, QApplication::UnicodeUTF8));
        versionLabel->setText(QApplication::translate("StartupDlgBase", "%1 %1", 0, QApplication::UnicodeUTF8));
        quitButton->setText(QApplication::translate("StartupDlgBase", "&Quit", 0, QApplication::UnicodeUTF8));
        quitButton->setShortcut(QApplication::translate("StartupDlgBase", "Alt+Q", 0, QApplication::UnicodeUTF8));
        okButton->setText(QApplication::translate("StartupDlgBase", "&Ok", 0, QApplication::UnicodeUTF8));
        okButton->setShortcut(QApplication::translate("StartupDlgBase", "Alt+O", 0, QApplication::UnicodeUTF8));
        Q_UNUSED(StartupDlgBase);
    } // retranslateUi

};

namespace Ui {
    class StartupDlgBase: public Ui_StartupDlgBase {};
} // namespace Ui

QT_END_NAMESPACE

class StartupDlgBase : public QDialog, public Ui::StartupDlgBase
{
    Q_OBJECT

public:
    StartupDlgBase(QWidget* parent = 0, const char* name = 0, bool modal = false, Qt::WindowFlags fl = 0);
    ~StartupDlgBase();

    virtual void setFilename( const QString & filename );
    virtual const QString & getFilename();
    virtual QString getPassPhrase();
    virtual int getActionBoxItem();

public slots:
    virtual void okClicked();
    virtual void actionChanged( int action, bool browse );
    virtual const QString & getFilter();
    virtual void setFilter( const QString & filter );
    virtual void setActionBoxItem( int item );
    virtual void setMyPasswordSafe( MyPasswordSafe * myps );
    virtual void actionChanged( int action );

protected slots:
    virtual void languageChange();

private:
    QString m_filter;
    QString m_filename;
    MyPasswordSafe *m_myps;

    void init();

};

#endif // STARTUPDLGBASE_H
